ITK Release 3.12
================

This release covers the period November 4, 2008 through February 28,
2009

New Classes in this Release
---------------------------


    Code/Review/itkAreaClosingImageFilter
    Code/Review/itkAreaOpeningImageFilter
    Code/Review/itkAttributeMorphologyBaseImageFilter
    Code/Review/itkBinaryContourImageFilter
    Code/Review/itkConvolutionImageFilter
    Code/Review/itkFFTShiftImageFilter
    Code/Review/itkHessianToObjectnessMeasureImageFilter
    Code/Review/itkImageKernelOperator
    Code/Review/itkLabelContourImageFilter
    Code/Review/itkMultiScaleHessianBasedMeasureImageFilter
    Code/Review/itkQuadEdgeMeshScalarDataVTKPolyDataWriter
    Code/Review/itkQuadEdgeMeshSmoothing
    Code/Review/itkRobustAutomaticThresholdCalculator
    Code/Review/itkRobustAutomaticThresholdImageFilter
    Code/Review/itkShapedFloodFilledFunctionConditionalConstIterator
    Code/Review/itkShapedFloodFilledImageFunctionConditionalConstIterator
    Code/Review/itkShapedFloodFilledImageFunctionConditionalIterator

New Tests in this Release
-------------------------

    Testing/Code/Common/itkVNLRoundProfileTest1

    Testing/Code/BasicFilters/itkConnectedComponentImageFilterTestRGB
    Testing/Code/BasicFilters/itkReleaseDataFilterTest
    Testing/Code/BasicFilters/itkShrinkImagePreserveObjectPhysicalLocations
    Testing/Code/BasicFilters/itkSimplexMeshWithFloatCoordRepTest

    Testing/Code/IO/itkDicomImageIODirection2DTest
    Testing/Code/IO/itkGDCMSeriesStreamReadImageWrite
    Testing/Code/IO/itkImageFileReaderStreamingTest
    Testing/Code/IO/itkImageFileReaderTest1
    Testing/Code/IO/itkImageFileReaderTest2
    Testing/Code/IO/itkImageFileWriterPastingTest1
    Testing/Code/IO/itkImageFileWriterPastingTest2
    Testing/Code/IO/itkImageFileWriterStreamingPastingCompressingTest1
    Testing/Code/IO/itkImageFileWriterStreamingTest1
    Testing/Code/IO/itkImageFileWriterStreamingTest2
    Testing/Code/IO/itkImageFileWriterTest2
    Testing/Code/IO/itkPipelineMonitorImageFilter

    Testing/Code/Numerics/FEM/itkFEMLinearSystemWrapperItpackTest2

    Testing/Code/Review/itkAreaClosingImageFilterTest
    Testing/Code/Review/itkAreaOpeningImageFilterTest
    Testing/Code/Review/itkBinaryContourImageFilterTest
    Testing/Code/Review/itkConvolutionImageFilterTest
    Testing/Code/Review/itkConvolutionImageFilterTestInt
    Testing/Code/Review/itkFFTShiftImageFilterTest
    Testing/Code/Review/itkHessianToObjectnessMeasureImageFilterTest
    Testing/Code/Review/itkLabelContourImageFilterTest
    Testing/Code/Review/itkMultiScaleHessianBasedMeasureImageFilterTest
    Testing/Code/Review/itkQuadEdgeMeshScalarDataVTKPolyDataWriterTest1
    Testing/Code/Review/itkQuadEdgeMeshSmoothingTest
    Testing/Code/Review/itkRobustAutomaticThresholdImageFilterTest
    Testing/Code/Review/itkShapedFloodFilledImageFunctionConditionalConstIteratorTest1
    Testing/Code/Review/itkShapedFloodFilledImageFunctionConditionalConstIteratorTest2
    Testing/Code/Review/itkShapedFloodFilledImageFunctionConditionalConstIteratorTest3
    Testing/Code/Review/itkVTKPolyDataWriterTest2

New Examples in this Release
----------------------------


    Examples/Filtering/GradientVectorFlowImageFilter

    Examples/Registration/MultiResImageRegistration3

New Utilities in this Release
-----------------------------

    Utilities/KWStyle/CMakeLists.txt
    Utilities/KWStyle/doAllStyle.csh.in
    Utilities/KWStyle/ITK.cvs.kws.xml

This release covers the period November 4, 2008 through February 28,
2009

Changes in this Release
-----------------------


    CMakeLists.txt
        ENH: suppress deprecated header warnings for gcc compilers that support it.
        COMP: remove redundant library from TARGET_LINK_LIBRARIES.
        ENH: Increasing the minor release number to "11", to initiate a new development cycle.

    GettingStarted.txt
        ENH: Clarifying that depending on the shell you should use "setenv" or "export".

    Applications/README.txt
        ENH: testing

    CMake/CTestCustom.ctest.in
        COMP: suppress warnings that cannot be resolved.

    Code/Algorithms/itkBayesianClassifierImageFilter
        BUG: 8369 Use to SetVectorLength (and other output information) in the AllocateOutputs method. This should be called in the UpdateOutputInformation method so that filters down stream know the size of the vectors and other information. Added GenerateOutputInformation method to call parent and set the vector length. Added MakeOutput method to generate posteriors image. Changed AllocateOutputs to only set buffered region and call allocate.

    Code/Algorithms/itkBayesianClassifierImageFilter
        BUG: 8369 Use to SetVectorLength (and other output information) in the AllocateOutputs method. This should be called in the UpdateOutputInformation method so that filters down stream know the size of the vectors and other information. Added GenerateOutputInformation method to call parent and set the vector length. Added MakeOutput method to generate posteriors image. Changed AllocateOutputs to only set buffered region and call allocate.

    Code/Algorithms/itkCollidingFrontsImageFilter
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/Algorithms/itkDeformableMesh3DFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkDeformableMesh3DFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkDeformableSimplexMesh3DBalloonForceFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkDeformableSimplexMesh3DBalloonForceFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkDeformableSimplexMesh3DFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkDeformableSimplexMesh3DFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkDemonsRegistrationFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkDemonsRegistrationFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkDemonsRegistrationFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkDemonsRegistrationFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkEuclideanDistancePointMetric
        STYLE: according to KWStyle.

    Code/Algorithms/itkEuclideanDistancePointMetr
        STYLE: according to KWStyle.

    Code/Algorithms/itkExtensionVelocitiesImageFilter
        STYLE: according to KWStyle.

    Code/Algorithms/itkExtensionVelocitiesImageFilter
        STYLE: according to KWStyle.

    Code/Algorithms/itkFEMFiniteDifferenceFunctionLoad
        STYLE: according to kwstyle.

    Code/Algorithms/itkFEMFiniteDifferenceFunctionLoad
        STYLE: according to kwstyle.

    Code/Algorithms/itkFEMRegistrationFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFEMRegistrationFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFFTComplexConjugateToRealImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFFTComplexConjugateToRealImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFFTRealToComplexConjugateImageFilter
        STYLE: Fix various doxygen problems. Missing documentation is tagged with a TODO.

    Code/Algorithms/itkFFTRealToComplexConjugateImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFFTWCommon
        STYLE: according to kwstyle.

    Code/Algorithms/itkFFTWComplexConjugateToRealImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFFTWComplexConjugateToRealImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFFTWRealToComplexConjugateImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFFTWRealToComplexConjugateImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFastChamferDistanceImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFastChamferDistanceImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFastMarchingExtensionImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFastMarchingExtensionImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFastMarchingImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFastMarchingImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkFastSymmetricForcesDemonsRegistrationFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkFastSymmetricForcesDemonsRegistrationFunction
        STYLE: according to kwstyle.
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/Algorithms/itkGeodesicActiveContourLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkGeodesicActiveContourLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkGeodesicActiveContourLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkGeodesicActiveContourLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkGeodesicActiveContourShapePriorLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkGeodesicActiveContourShapePriorLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkGeodesicActiveContourShapePriorLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkGeodesicActiveContourShapePriorLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkGradientVectorFlowImageFilter
        ENH: Let the user give the pixel type used in the internal image. This change will make the SetLaplacianFilter() method usable in wrapitk.

    Code/Algorithms/itkGradientVectorFlowImageFilter
        ENH: Let the user give the pixel type used in the internal image. This change will make the SetLaplacianFilter() method usable in wrapitk.

    Code/Algorithms/itkHistogramAlgorithmBase
        STYLE: according to kwstyle.

    Code/Algorithms/itkHistogramAlgorithmBase
        STYLE: according to kwstyle.

    Code/Algorithms/itkHistogramImageToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkHistogramImageToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkHistogramMatchingImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkHistogramMatchingImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageClassifierBase
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageClassifierBase
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageGaussianModelEstimator
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageGaussianModelEstimator
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageKmeansModelEstimator
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageKmeansModelEstimator
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageModelEstimatorBase
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageModelEstimatorBase
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageMomentsCalculator
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageMomentsCalculator
        STYLE: according to kwstyle.

    Code/Algorithms/itkImagePCADecompositionCalculator
        STYLE: according to kwstyle.

    Code/Algorithms/itkImagePCADecompositionCalculator
        STYLE: according to kwstyle.

    Code/Algorithms/itkImagePCAShapeModelEstimator
        STYLE: according to kwstyle.

    Code/Algorithms/itkImagePCAShapeModelEstimator
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageRegistrationMethod
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageRegistrationMethod
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageShapeModelEstimatorBase
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageShapeModelEstimatorBase
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageToSpatialObjectMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageToSpatialObjectMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageToSpatialObjectRegistrationMethod
        STYLE: according to kwstyle.

    Code/Algorithms/itkImageToSpatialObjectRegistrationMethod
        STYLE: according to kwstyle.

    Code/Algorithms/itkIsolatedWatershedImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkIsolatedWatershedImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkIsotropicFourthOrderLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkIsotropicFourthOrderLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkKLMRegionGrowImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkKLMRegionGrowImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkKalmanLinearEstimator
        STYLE: according to kwstyle.

    Code/Algorithms/itkKappaStatisticImageToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkKappaStatisticImageToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkKullbackLeiblerCompareHistogramImageToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkLabelVotingImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkLabelVotingImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkLaplacianSegmentationLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkLaplacianSegmentationLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkLaplacianSegmentationLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkLaplacianSegmentationLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkLevelSetMotionRegistrationFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkLevelSetMotionRegistrationFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkLevelSetMotionRegistrationFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkLevelSetMotionRegistrationFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkLevelSetNeighborhoodExtractor
        STYLE: according to kwstyle.

    Code/Algorithms/itkLevelSetNeighborhoodExtractor
        STYLE: according to kwstyle.

    Code/Algorithms/itkLevelSetVelocityNeighborhoodExtractor
        STYLE: according to kwstyle.

    Code/Algorithms/itkLevelSetVelocityNeighborhoodExtractor
        STYLE: according to kwstyle.

    Code/Algorithms/itkMIRegistrationFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkMIRegistrationFunction
        STYLE: according to kwstyle.
        BUG: (0008098) computing physical mapped location was not being computed correctly when images are treated as oriented images.

    Code/Algorithms/itkMRASlabIdentifier
        STYLE: according to kwstyle.

    Code/Algorithms/itkMRASlabIdentifier
        STYLE: according to kwstyle.

    Code/Algorithms/itkMRFImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkMRFImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkMRIBiasFieldCorrectionFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkMRIBiasFieldCorrectionFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkMatchCardinalityImageToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkMatchCardinalityImageToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkMattesMutualInformationImageToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkMattesMutualInformationImageToImageMetr
        STYLE: according to kwstyle.
        COMP: shadowed variable warning

    Code/Algorithms/itkMeanReciprocalSquareDifferenceImageToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkMeanReciprocalSquareDifferenceImageToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkMeanReciprocalSquareDifferencePointSetToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkMeanReciprocalSquareDifferencePointSetToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkMeanSquareRegistrationFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkMeanSquareRegistrationFunction
        STYLE: according to kwstyle.
        BUG: (0008098) computing physical mapped location was not being computed correctly when images are treated as oriented images.

    Code/Algorithms/itkMeanSquaresHistogramImageToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkMeanSquaresHistogramImageToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkMeanSquaresImageToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkMeanSquaresImageToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkMeanSquaresPointSetToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkMeanSquaresPointSetToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkMedialNodePairCorrespondenceProcess
        STYLE: according to kwstyle.

    Code/Algorithms/itkMedialNodePairCorrespondenceProcess
        STYLE: according to kwstyle.

    Code/Algorithms/itkMedialNodeTripletCorrespondenceProcess
        STYLE: according to kwstyle.

    Code/Algorithms/itkMedialNodeTripletCorrespondenceProcess
        STYLE: according to kwstyle.

    Code/Algorithms/itkMinMaxCurvatureFlowFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkMinMaxCurvatureFlowFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkMinMaxCurvatureFlowImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkMinMaxCurvatureFlowImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkMultiResolutionImageRegistrationMethod
        STYLE: according to kwstyle.

    Code/Algorithms/itkMultiResolutionImageRegistrationMethod
        STYLE: according to kwstyle.

    Code/Algorithms/itkMultiResolutionPDEDeformableRegistration
        STYLE: according to kwstyle.

    Code/Algorithms/itkMultiResolutionPDEDeformableRegistration
        STYLE: according to kwstyle.

    Code/Algorithms/itkMultiResolutionPyramidImageFilter
        STYLE:  Fixed documentation to reflect bug fix changes.

    Code/Algorithms/itkMultiResolutionPyramidImageFilter
        STYLE: according to kwstyle.
        BUG:  0008275 Resolved issue to preserve center of mass of the images at all levels of the image pyramid.

    Code/Algorithms/itkMutualInformationHistogramImageToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkMutualInformationHistogramImageToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkMutualInformationImageToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkMutualInformationImageToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkNCCRegistrationFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkNCCRegistrationFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkNarrowBandCurvesLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkNarrowBandCurvesLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkNarrowBandLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkNarrowBandLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkNarrowBandThresholdSegmentationLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkNarrowBandThresholdSegmentationLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkNormalizedCorrelationImageToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkNormalizedCorrelationImageToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkNormalizedCorrelationPointSetToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkNormalizedCorrelationPointSetToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkNormalizedMutualInformationHistogramImageToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkNormalizedMutualInformationHistogramImageToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkOtsuMultipleThresholdsCalculator
        STYLE: according to kwstyle.

    Code/Algorithms/itkOtsuMultipleThresholdsCalculator
        STYLE: according to kwstyle.

    Code/Algorithms/itkOtsuMultipleThresholdsImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkOtsuMultipleThresholdsImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkOtsuThresholdImageCalculator
        STYLE: according to kwstyle.

    Code/Algorithms/itkOtsuThresholdImageCalculator
        STYLE: according to kwstyle.

    Code/Algorithms/itkOtsuThresholdImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkOtsuThresholdImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkPDEDeformableRegistrationFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkPDEDeformableRegistrationFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkPDEDeformableRegistrationFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkPointSetToImageMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkPointSetToImageMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkPointSetToImageRegistrationMethod
        STYLE: according to kwstyle.

    Code/Algorithms/itkPointSetToImageRegistrationMethod
        STYLE: according to kwstyle.

    Code/Algorithms/itkPointSetToPointSetMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkPointSetToPointSetMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkPointSetToPointSetRegistrationMethod
        STYLE: according to kwstyle.

    Code/Algorithms/itkPointSetToPointSetRegistrationMethod
        STYLE: according to kwstyle.

    Code/Algorithms/itkPointSetToSpatialObjectDemonsRegistration
        STYLE: according to kwstyle.

    Code/Algorithms/itkPointSetToSpatialObjectDemonsRegistration
        STYLE: according to kwstyle.

    Code/Algorithms/itkRGBGibbsPriorFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkRGBGibbsPriorFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkRayCastInterpolateImageFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkRecursiveMultiResolutionPyramidImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkRecursiveMultiResolutionPyramidImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkRegionGrowImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkRegionGrowImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkRegularSphereMeshSource
        STYLE: according to kwstyle.

    Code/Algorithms/itkRegularSphereMeshSource
        STYLE: according to kwstyle.
        BUG: Pass PointData to the output Mesh

    Code/Algorithms/itkReinitializeLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkReinitializeLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkSCSLComplexConjugateToRealImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkSCSLComplexConjugateToRealImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkSCSLRealToComplexConjugateImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkSCSLRealToComplexConjugateImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkSTAPLEImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkSTAPLEImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkScalarImageKmeansImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkScalarImageKmeansImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkSegmentationLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkSegmentationLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkShapeDetectionLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkShapeDetectionLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkShapeDetectionLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkShapeDetectionLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkShapePriorMAPCostFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkShapePriorMAPCostFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkShapePriorMAPCostFunctionBase
        STYLE: according to kwstyle.

    Code/Algorithms/itkShapePriorMAPCostFunctionBase
        STYLE: according to kwstyle.

    Code/Algorithms/itkShapePriorSegmentationLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkShapePriorSegmentationLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkShapePriorSegmentationLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkShapePriorSegmentationLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkSphereMeshSource
        STYLE: according to kwstyle.

    Code/Algorithms/itkSphereMeshSource
        STYLE: according to kwstyle.

    Code/Algorithms/itkStructHashFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkSymmetricForcesDemonsRegistrationFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkSymmetricForcesDemonsRegistrationFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkSymmetricForcesDemonsRegistrationFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkSymmetricForcesDemonsRegistrationFunction
        STYLE: according to kwstyle.
        BUG: (0008098) Final change to needed fix orientation preserving code.  These changes fix an inproper refactoring.

    Code/Algorithms/itkThresholdSegmentationLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkThresholdSegmentationLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkThresholdSegmentationLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkThresholdSegmentationLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkUnaryMedialNodeMetric
        STYLE: according to kwstyle.

    Code/Algorithms/itkUnaryMedialNodeMetr
        STYLE: according to kwstyle.

    Code/Algorithms/itkUnsharpMaskLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkUnsharpMaskLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkVectorThresholdSegmentationLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkVectorThresholdSegmentationLevelSetFunction
        STYLE: according to kwstyle.

    Code/Algorithms/itkVectorThresholdSegmentationLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkVectorThresholdSegmentationLevelSetImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkVnlFFTComplexConjugateToRealImageFilter
        STYLE: according to kwstyle.
        STYLE: according to kwstyle.

    Code/Algorithms/itkVnlFFTComplexConjugateToRealImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkVnlFFTRealToComplexConjugateImageFilter
        STYLE: according to kwstyle.
        STYLE: according to kwstyle.

    Code/Algorithms/itkVnlFFTRealToComplexConjugateImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkVoronoiDiagram2D
        STYLE: according to kwstyle.

    Code/Algorithms/itkVoronoiDiagram2D
        STYLE: according to kwstyle.

    Code/Algorithms/itkVoronoiDiagram2DGenerator
        STYLE: according to kwstyle.

    Code/Algorithms/itkVoronoiDiagram2DGenerator
        STYLE: according to kwstyle.

    Code/Algorithms/itkVoronoiPartitioningImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkVoronoiPartitioningImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkVoronoiSegmentationImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkVoronoiSegmentationImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkVoronoiSegmentationImageFilterBase
        STYLE: according to kwstyle.

    Code/Algorithms/itkVoronoiSegmentationImageFilterBase
        STYLE: according to kwstyle.

    Code/Algorithms/itkVoronoiSegmentationRGBImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkVoronoiSegmentationRGBImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedBoundary
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedBoundary
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedBoundaryResolver
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedBoundaryResolver
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedEquivalenceRelabeler
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedEquivalenceRelabeler
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedImageFilter
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedMiniPipelineProgressCommand
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedMiniPipelineProgressCommand
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedRelabeler
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedRelabeler
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedSegmentTable
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedSegmentTable
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedSegmentTree
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedSegmentTreeGenerator
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedSegmentTreeGenerator
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedSegmenter
        STYLE: according to kwstyle.

    Code/Algorithms/itkWatershedSegmenter
        STYLE: according to kwstyle.

    Code/BasicFilters/itkAdaptiveHistogramEqualizationImageFilter
        STYLE: according to kwstyle.

    Code/BasicFilters/itkBSplineDecompositionImageFilter
        STYLE: Various doxygen fixes.

    Code/BasicFilters/itkBSplineInterpolateImageFunction
        COMP: Fix non implemented operator= error while build wrapitk unstable with tcl.
        BUG: If images are now using image direction information, then set the m_UseImageDirection to true instead as the default.

    Code/BasicFilters/itkBSplineInterpolateImageFunction
        BUG: If images are now using image direction information, then set the m_UseImageDirection to true instead as the default.

    Code/BasicFilters/itkBSplineUpsampleImageFilter
        STYLE: Various doxygen fixes.

    Code/BasicFilters/itkBinaryProjectionImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkBinaryThresholdProjectionImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkBlackTopHatImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkBlackTopHatImageFilter

    Code/BasicFilters/itkCannyEdgeDetectionImageFilter
        BUG: 7219 Fixed SetMaximumError

    Code/BasicFilters/itkClosingByReconstructionImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkCompose2DCovariantVectorImageFilter
        STYLE: Various doxygen fixes.

    Code/BasicFilters/itkCompose2DVectorImageFilter
        STYLE: Various doxygen fixes.

    Code/BasicFilters/itkCompose3DCovariantVectorImageFilter
        STYLE: Various doxygen fixes.

    Code/BasicFilters/itkCompose3DVectorImageFilter
        STYLE: Various doxygen fixes.

    Code/BasicFilters/itkComposeRGBImageFilter
        STYLE: Various doxygen fixes.

    Code/BasicFilters/itkConnectedComponentImageFilter
        BUG: BackgroundValue is for output image only. That bug was found by Julien Michel and reported the ITK users mailing list.
        COMP: Fixing warning about type conversion in pixel type.

    Code/BasicFilters/itkConnectedThresholdImageFilter

    Code/BasicFilters/itkConnectedThresholdImageFilter
        COMP: The new floodfill iterator should only be used if ITK_USE_REVIEW is ON.

    Code/BasicFilters/itkDiscreteGaussianImageFilter
        STYLE:  Fixed spelling errors.

    Code/BasicFilters/itkDisplacementFieldJacobianDeterminantFilter
        BUG: Modified time was not being set for UseImageSpacingOn() method.

    Code/BasicFilters/itkExtractImageFilter
        BUG: 0008066 A temporary hack is put into place that produces an image with incorrect direction, but no longer throws an exception,  This is allowing other more pressing issues to be addressed.

    Code/BasicFilters/itkGaussianImageSource

    Code/BasicFilters/itkGaussianImageSource

    Code/BasicFilters/itkGradientImageFilter
        STYLE: according to kwstyle.

    Code/BasicFilters/itkGradientImageFilter
        BUG: If images are now using image direction information, then set the m_UseImageDirection to true instead as the default.

    Code/BasicFilters/itkGradientMagnitudeRecursiveGaussianImageFilter
        BUG: #8472. Image information is set to default values by filter. Added a CopyInformation to propagate input image information to output image information. Augmented test to check for propgation of image information.

    Code/BasicFilters/itkGradientRecursiveGaussianImageFilter
        STYLE: according to kwstyle.

    Code/BasicFilters/itkGradientRecursiveGaussianImageFilter
        BUG: If images are now using image direction information, then set the m_UseImageDirection to true instead as the default.

    Code/BasicFilters/itkGrayscaleMorphologicalClosingImageFilter

    Code/BasicFilters/itkGrayscaleMorphologicalClosingImageFilter

    Code/BasicFilters/itkGrayscaleMorphologicalOpeningImageFilter

    Code/BasicFilters/itkGrayscaleMorphologicalOpeningImageFilter

    Code/BasicFilters/itkHessianRecursiveGaussianImageFilter

    Code/BasicFilters/itkHoughTransform2DCirclesImageFilter
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/BasicFilters/itkHoughTransform2DLinesImageFilter
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/BasicFilters/itkImageToVectorImageFilter
        BUG: 8369 SetVector is not called in GenerateOutputInformation
        ENH: SetNthInput has been deprecated. Replace it with SetInput.

    Code/BasicFilters/itkImageToVectorImageFilter
        BUG: 8369 SetVector is not called in GenerateOutputInformation

    Code/BasicFilters/itkInvertIntensityImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkIterativeInverseDeformationFieldImageFilter
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/BasicFilters/itkMaskImageFilter

    Code/BasicFilters/itkMaskNegatedImageFilter

    Code/BasicFilters/itkMaximumProjectionImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkMeanProjectionImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkMedianProjectionImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkMinimumProjectionImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkModulusImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkMorphologicalGradientImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkObjectMorphologyImageFilter
        BUG: Assigning a boundary condition for input image to output image - won't compile if output image type is not the same as input image type

    Code/BasicFilters/itkOpeningByReconstructionImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkPointSetToImageFilter
        STYLE: Fixing coding style.

    Code/BasicFilters/itkPointSetToImageFilter
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/BasicFilters/itkPolylineMask2DImageFilter
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/BasicFilters/itkPolylineMaskImageFilter
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/BasicFilters/itkProjectionImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkRegionOfInterestImageFilter

    Code/BasicFilters/itkResampleImageFilter
        BUG: OutputStartIndex was not set when using SetOutputParametersFromImage.

    Code/BasicFilters/itkResampleImageFilter
        BUG: fix to bug 0008104, Resample and OptResample fail to compile when TInputImage is different from TOutputImage and SetReferenceImage is used

    Code/BasicFilters/itkShrinkImageFilter

    Code/BasicFilters/itkShrinkImageFilter

    Code/BasicFilters/itkSignedMaurerDistanceMapImageFilter
        STYLE: Various doxygen fixes.

    Code/BasicFilters/itkSparseFieldLayer
        STYLE: Various doxygen fixes.

    Code/BasicFilters/itkStandardDeviationProjectionImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkStreamingImageFilter
        BUG: 8457 overloaded PropagateRequestedRegion method to remove extraneous execution of propagating requested region up the pipeline

    Code/BasicFilters/itkStreamingImageFilter
        BUG: 8457 overloaded PropagateRequestedRegion method to remove extraneous execution of propagating requested region up the pipeline

    Code/BasicFilters/itkSumProjectionImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkSymmetricEigenAnalysisImageFilter
        STYLE: Fixing documentation, removing obsolete comments referring to fractional anisotropy.

    Code/BasicFilters/itkWhiteTopHatImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/BasicFilters/itkWhiteTopHatImageFilter

    Code/Common/CMakeLists.txt

    Code/Common/itkBSplineDeformableTransform
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/Common/itkCentralDifferenceImageFunction
        BUG: If images are now using image direction information, then set the m_UseImageDirection to true instead as the default.

    Code/Common/itkCentralDifferenceImageFunction
        BUG: If images are now using image direction information, then set the m_UseImageDirection to true instead as the default.

    Code/Common/itkConceptChecking
        COMP: Fixed unused var warning
        COMP: Fixed unused var warning

    Code/Common/itkCovariantVector
        COMP: remove unneeded and redundant constructors.
        ENH: Implicit casting in the constructor from another covariant vector of a different scalar type.

    Code/Common/itkDataObject
        STYLE: according to kwstyle.

    Code/Common/itkDenseFiniteDifferenceImageFilter
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/Common/itkEuler2DTransform
        STYLE: according to kwstyle.

    Code/Common/itkFiniteCylinderSpatialFunction
        STYLE: according to kwstyle.

    Code/Common/itkFiniteDifferenceImageFilter
        STYLE: according to kwstyle.

    Code/Common/itkFiniteDifferenceSparseImageFilter
        STYLE: according to kwstyle.

    Code/Common/itkFiniteDifferenceSparseImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkFloodFilledFunctionConditionalConstIterator
        STYLE: according to kwstyle.

    Code/Common/itkFloodFilledSpatialFunctionConditionalIterator
        STYLE: according to kwstyle.

    Code/Common/itkGaussianBlurImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkGaussianDerivativeImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkGaussianDerivativeSpatialFunction
        STYLE: according to kwstyle.

    Code/Common/itkGaussianOperator
        STYLE: Improving code clarity.

    Code/Common/itkIdentityTransform
        STYLE: according to kwstyle.

    Code/Common/itkImage
        STYLE: according to kwstyle.

    Code/Common/itkImageBase
        BUG: 8490: ImageBase::Initialized method modifies its MTime requiring pipelines to re-executed. Added InitializeBufferedRegion method which does not call Modify as a protected method

    Code/Common/itkImageBase
        BUG: 8490: ImageBase::Initialized method modifies its MTime requiring pipelines to re-executed. Added InitializeBufferedRegion method which does not call Modify as a protected method

    Code/Common/itkImageRandomNonRepeatingConstIteratorWithIndex
        STYLE: according to kwstyle.

    Code/Common/itkImageSliceConstIteratorWithIndex
        STYLE: according to kwstyle.

    Code/Common/itkImageSliceConstIteratorWithIndex
        STYLE: according to kwstyle.

    Code/Common/itkImageSliceIteratorWithIndex
        STYLE: according to kwstyle.

    Code/Common/itkImageSliceIteratorWithIndex
        STYLE: according to kwstyle.

    Code/Common/itkImageSource
        STYLE: according to kwstyle.

    Code/Common/itkImageSource
        STYLE: according to kwstyle.

    Code/Common/itkImageToImageFilter
        STYLE: according to kwstyle.

    Code/Common/itkImageToImageFilter
        STYLE: according to kwstyle.

    Code/Common/itkImageToImageFilterDetail
        STYLE: according to kwstyle.

    Code/Common/itkImageTransformHelper
        STYLE: according to kwstyle.

    Code/Common/itkImportImageContainer
        STYLE: according to kwstyle.

    Code/Common/itkImportImageContainer
        STYLE: according to kwstyle.

    Code/Common/itkInOrderTreeIterator
        STYLE: according to kwstyle.

    Code/Common/itkInPlaceImageFilter
        STYLE: according to kwstyle.

    Code/Common/itkInPlaceImageFilter
        STYLE: according to kwstyle.

    Code/Common/itkIndent
        STYLE: according to kwstyle.

    Code/Common/itkIndex
        STYLE: according to kwstyle.

    Code/Common/itkIndexedContainerInterface
        STYLE: according to kwstyle.

    Code/Common/itkIntTypes
        STYLE: according to kwstyle.

    Code/Common/itkInteriorExteriorSpatialFunction
        STYLE: according to kwstyle.

    Code/Common/itkIterationReporter
        STYLE: according to kwstyle.

    Code/Common/itkKLMSegmentationBorder
        STYLE: according to kwstyle.

    Code/Common/itkKLMSegmentationBorder
        STYLE: according to kwstyle.

    Code/Common/itkKLMSegmentationRegion
        STYLE: according to kwstyle.

    Code/Common/itkKernelFunction
        STYLE: according to kwstyle.

    Code/Common/itkKernelTransform
        STYLE: according to kwstyle.

    Code/Common/itkKernelTransform
        STYLE: according to kwstyle.

    Code/Common/itkLandmarkBasedTransformInitializer
        STYLE: according to kwstyle.

    Code/Common/itkLandmarkBasedTransformInitializer
        STYLE: according to kwstyle.

    Code/Common/itkLaplacianOperator
        STYLE: according to kwstyle.

    Code/Common/itkLaplacianOperator
        STYLE: according to kwstyle.

    Code/Common/itkLeafTreeIterator
        STYLE: according to kwstyle.

    Code/Common/itkLevelOrderTreeIterator
        STYLE: according to kwstyle.

    Code/Common/itkLevelSet
        STYLE: according to kwstyle.

    Code/Common/itkLevelSetFunction
        STYLE: according to kwstyle.

    Code/Common/itkLevelSetFunction
        STYLE: according to kwstyle.

    Code/Common/itkLevelSetNode
        STYLE: according to kwstyle.

    Code/Common/itkLightObject
        STYLE: according to kwstyle.

    Code/Common/itkLightObject
        STYLE: according to kwstyle.

    Code/Common/itkLightProcessObject
        STYLE: according to kwstyle.

    Code/Common/itkLightProcessObject
        STYLE: according to kwstyle.

    Code/Common/itkLineCell
        STYLE: according to kwstyle.

    Code/Common/itkLineCell
        STYLE: according to kwstyle.

    Code/Common/itkLineConstIterator
        STYLE: according to kwstyle.

    Code/Common/itkLineIterator
        STYLE: according to kwstyle.

    Code/Common/itkLinearInterpolateImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkLog10ImageAdaptor
        STYLE: according to kwstyle.

    Code/Common/itkLogImageAdaptor
        STYLE: according to kwstyle.

    Code/Common/itkLogOutput
        STYLE: according to kwstyle.

    Code/Common/Attic/itkLogger
        STYLE: according to kwstyle.

    Code/Common/itkLogger
        STYLE: according to kwstyle.

    Code/Common/itkLoggerManager
        STYLE: according to kwstyle.

    Code/Common/itkLoggerManager
        STYLE: according to kwstyle.

    Code/Common/itkLoggerOutput
        STYLE: according to kwstyle.

    Code/Common/itkLoggerOutput
        STYLE: according to kwstyle.

    Code/Common/itkLoggerThreadWrapper
        STYLE: according to kwstyle.

    Code/Common/itkLoggerThreadWrapper
        STYLE: according to kwstyle.

    Code/Common/itkMacro
        STYLE: according to kwstyle.

    Code/Common/itkMahalanobisDistanceThresholdImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkMahalanobisDistanceThresholdImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkMapContainer
        STYLE: according to kwstyle.

    Code/Common/itkMapContainer
        STYLE: according to kwstyle.

    Code/Common/itkMatrix
        STYLE: Fixing indentations.
        STYLE: according to kwstyle.

    Code/Common/itkMatrix
        STYLE: according to kwstyle.

    Code/Common/itkMatrixOffsetTransformBase
        STYLE: according to kwstyle.

    Code/Common/itkMatrixOffsetTransformBase
        STYLE: according to kwstyle.

    Code/Common/itkMatrixResizeableDataObject
        STYLE: according to kwstyle.

    Code/Common/itkMaximumDecisionRule
        STYLE: according to kwstyle.

    Code/Common/itkMaximumDecisionRule
        STYLE: according to kwstyle.

    Code/Common/itkMaximumRatioDecisionRule
        STYLE: according to kwstyle.

    Code/Common/itkMaximumRatioDecisionRule
        STYLE: according to kwstyle.

    Code/Common/itkMeanImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkMeanImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkMedianImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkMemoryUsageObserver
        COMP: Mallinfo is not recognized on FreeBSD, disable it and use GetRUsage instead. BugfixID: 7947. The correct way of quiering memory is not great with GetRUsage, another way shall be found.

    Code/Common/itkMemoryUsageObserver
        STYLE: according to kwstyle.

    Code/Common/itkMersenneTwisterRandomVariateGenerator
        STYLE: according to kwstyle.

    Code/Common/itkMersenneTwisterRandomVariateGenerator
        STYLE: according to kwstyle.

    Code/Common/itkMeshRegion
        STYLE: according to kwstyle.

    Code/Common/itkMeshRegion
        STYLE: according to kwstyle.

    Code/Common/itkMeshSource
        STYLE: according to kwstyle.

    Code/Common/itkMeshSource
        STYLE: according to kwstyle.

    Code/Common/itkMeshToMeshFilter
        STYLE: according to kwstyle.

    Code/Common/itkMeshToMeshFilter
        STYLE: according to kwstyle.

    Code/Common/itkMetaDataDictionary
        STYLE: according to kwstyle.

    Code/Common/itkMetaDataDictionary
        STYLE: according to kwstyle.

    Code/Common/itkMetaDataObject
        STYLE: Fix wrong class name in doc.
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Common/itkMetaDataObject
        COMP: VS6 has occasional problems compiling code that uses the MetaDataObject if this file has a namespace defined. Strange, but true.
        STYLE: according to kwstyle.

    Code/Common/itkMetaDataObjectBase
        STYLE: according to kwstyle.

    Code/Common/itkMinimumDecisionRule
        STYLE: according to kwstyle.

    Code/Common/itkMinimumDecisionRule
        STYLE: according to kwstyle.

    Code/Common/itkMultiThreader
        STYLE: according to kwstyle.

    Code/Common/itkMultiThreader
        STYLE: according to kwstyle.

    Code/Common/itkMultipleLogOutput
        STYLE: according to kwstyle.

    Code/Common/itkMultipleLogOutput
        STYLE: according to kwstyle.

    Code/Common/itkMutexLock
        STYLE: according to kwstyle.

    Code/Common/itkMutexLockHolder
        STYLE: according to kwstyle.

    Code/Common/itkNearestNeighborExtrapolateImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkNearestNeighborInterpolateImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhood
        STYLE: Fixing indentations.

    Code/Common/itkNeighborhood
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodAccessorFunctor
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodAlgorithm
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodAlgorithm
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodAllocator
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodBinaryThresholdImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodInnerProduct
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodInnerProduct
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodIterator
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodIterator
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodOperator
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodOperator
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodOperatorImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkNeighborhoodOperatorImageFunction
        STYLE: according to kwstyle.

    Code/Common/itkNodeList
        STYLE: according to kwstyle.

    Code/Common/itkNonUniformBSpline
        STYLE: according to kwstyle.

    Code/Common/itkNonUniformBSpline
        STYLE: according to kwstyle.

    Code/Common/itkNthElementImageAdaptor
        STYLE: according to kwstyle.

    Code/Common/itkNthElementPixelAccessor
        STYLE: according to kwstyle.

    Code/Common/itkNumericTraits
        STYLE: Fixing indentations.
    insight-users/2008-November/028098.html and reported at https://public.kitware.com/Bug/view.php?id=8213. Requested by Denis Shamonin.

    Code/Common/itkNumericTraitsCovariantVectorPixel
        STYLE: according to kwstyle.

    Code/Common/itkNumericTraitsFixedArrayPixel
        STYLE: according to kwstyle.

    Code/Common/itkNumericTraitsRGBAPixel
        STYLE: according to kwstyle.

    Code/Common/itkNumericTraitsRGBPixel
        STYLE: according to kwstyle.

    Code/Common/itkNumericTraitsTensorPixel
        STYLE: according to kwstyle.

    Code/Common/itkNumericTraitsTensorPixel
        STYLE: according to kwstyle.

    Code/Common/itkNumericTraitsVariableLengthVectorPixel
        STYLE: according to kwstyle.

    Code/Common/itkNumericTraitsVectorPixel
        STYLE: according to kwstyle.
        COMP: #7750. No ScalarRealType defined for unsigned long in several numeric traits.

    Code/Common/itkObject
        STYLE: according to kwstyle.

    Code/Common/itkObject
        STYLE: according to kwstyle.

    Code/Common/itkObjectFactory
        STYLE: according to kwstyle.

    Code/Common/itkObjectStore
        STYLE: according to kwstyle.

    Code/Common/itkObjectStore
        STYLE: according to kwstyle.

    Code/Common/itkOctree
        STYLE: according to kwstyle.

    Code/Common/itkOctree
        STYLE: according to kwstyle.

    Code/Common/itkOctreeNode
        STYLE: according to kwstyle.

    Code/Common/itkOctreeNode
        STYLE: according to kwstyle.

    Code/Common/itkOffset
        STYLE: according to kwstyle.

    Code/Common/itkOneWayEquivalencyTable
        STYLE: according to kwstyle.

    Code/Common/itkOrientationAdapter
        STYLE: according to kwstyle.

    Code/Common/itkOrientedImage
        STYLE: according to kwstyle.

    Code/Common/itkOrientedImage
        STYLE: according to kwstyle.

    Code/Common/itkOrthogonallyCorrected2DParametricPa
        STYLE: according to kwstyle.

    Code/Common/itkOrthogonallyCorrected2DParametricPath
        STYLE: according to kwstyle.

    Code/Common/itkOutputWindow
        STYLE: according to kwstyle.

    Code/Common/itkPCAShapeSignedDistanceFunction
        STYLE: according to kwstyle.

    Code/Common/itkPCAShapeSignedDistanceFunction
        STYLE: according to kwstyle.

    Code/Common/itkParametricPa
        STYLE: according to kwstyle.

    Code/Common/itkParametricPath
        STYLE: according to kwstyle.

    Code/Common/itkParametricPa
        STYLE: according to kwstyle.

    Code/Common/itkPathAndImageToPathFilter
        STYLE: according to kwstyle.

    Code/Common/itkPathConstIterator
        STYLE: according to kwstyle.

    Code/Common/itkPathFunctions
        STYLE: according to kwstyle.

    Code/Common/itkPathIterator
        STYLE: according to kwstyle.

    Code/Common/itkPathIterator
        STYLE: according to kwstyle.

    Code/Common/itkPathToPathFilter
        STYLE: according to kwstyle.

    Code/Common/itkPathToPathFilter
        STYLE: according to kwstyle.

    Code/Common/itkPeriodicBoundaryCondition
        STYLE: according to kwstyle.

    Code/Common/itkPhasedArray3DSpecialCoordinatesImage
        STYLE: according to kwstyle.

    Code/Common/itkPixelAccessor
        STYLE: according to kwstyle.

    Code/Common/itkPixelTraits
        STYLE: according to kwstyle.

    Code/Common/itkPoint
        COMP: remove unneeded and redundant constructors.

    Code/Common/itkResourceProbesCollectorBase

    Code/Common/itkResourceProbesCollectorBase
        COMP: For VS6, allow normal operation of this class if built with BUILD_SHARED_LIBS OFF. The class is still a dummy class for VS6 is built with BUILD_SHARED_LIBS ON.

    Code/Common/itkRigid2DTransform
        STYLE: Various doxygen fixes.

    Code/Common/itkRigid2DTransform
        BUG: 0008320  Two versions of modifications that pass regression test were found, but wrong version was submitted.  This patch should be more backwards compatible by continuing to directly affect the offset, and then computing the m_Translation value that is consistent with that version.  Either patch works when m_Translation = m_Offset (which is the only thing that is tested).

    Code/Common/itkRigid3DTransform
        BUG: 0008320  Two versions of modifications that pass regression test were found, but wrong version was submitted.  This patch should be more backwards compatible by continuing to directly affect the offset, and then computing the m_Translation value that is consistent with that version.  Either patch works when m_Translation = m_Offset (which is the only thing that is tested).

    Code/Common/itkTestMain
        ENH: Improved error reporting when an exception is part of the testing framework itself.

    Code/Common/itkTimeStamp
    private/insight-developers/2009-February/011732.html for more detail

    Code/Common/itkVersor
        BUG: 0008312 Resolved issue related to proper processing of singularities that occur when converting between itkVersor and a RotationMatirx.

    Code/Common/itkZeroFluxNeumannBoundaryCondition
        STYLE: according to kwstyle.

    Code/Common/itk_alloc
        STYLE: according to kwstyle.

    Code/Common/itk_hash_map
        STYLE: according to kwstyle.

    Code/Common/itk_hash_set
        STYLE: according to kwstyle.

    Code/Common/itk_hashtable
        STYLE: according to kwstyle.

    Code/Common/itk_hashtable
        STYLE: according to kwstyle.
        BUG: over aggressive removal of semicolons during style repair.

    Code/IO/CMakeLists.txt
        COMP: removed redundant library.

    Code/IO/itkAnalyzeImageIO

    Code/IO/itkAnalyzeImageIO

    Code/IO/itkBrains2MaskImageIO
        COMP: VS6 compiler bug workaround.

    Code/IO/itkDICOMImageIO2
        ENH: removing message to cerr if the file could not be read to be consistent with other IO objects

    Code/IO/itkGDCMImageIO
        BUG: Put a finer differentiation on the version number at 1.2.3

    Code/IO/itkGDCMImageIO
        STYLE: try to cleanup doxygen output

    Code/IO/itkIOCommon

    Code/IO/itkImageFileReader
        BUG: 8436 changed RegionIOCovert to include index paramerter

    Code/IO/itkImageFileWriter
        ENH: streaming for ImageFileWriter with collaboration from ImageIOBase

    Code/IO/itkImageFileWriter
        BUG: 8436 correct origin of offset index, changed RegionIOCovert to include index paramerter STYLE: cleaned up extra typedefs
        ENH: streaming for ImageFileWriter with collaboration from ImageIOBase

    Code/IO/itkImageIOBase
        ENH: added printing of m_Origin to PrintSelf method

    Code/IO/itkImageIOBase
        ENH: streaming for ImageFileWriter with collaboration from ImageIOBase

    Code/IO/itkImageIORegion
        COMP: Borland warning. Variable assigned a value that is never used.

    Code/IO/itkImageIORegion
        BUG: 8436 changed RegionIOCovert to include index paramerter, made old method depricated ENH: added typedefs of IndexType and SizeType and made the type match that of ImageRegion
        STYLE: Remove unnecessary trailing backslash.

    Code/IO/itkImageSeriesReader
        ENH:: added m_UseStreaming member variable for streaming

    Code/IO/itkImageSeriesReader
        COMP: Addressing warning about potential use of origin uninitialized.
        ENH:: Added streaming support, moved the reading of the MetaDataDictionaryArray to the GenerateOutputInformation method

    Code/IO/itkMetaImageIO
        BUG: itkMetaIOTestShouldFail was failing, added checking of return value for ReadROI, WriteROI and Write. If it's and error then an exception is thrown. Aslo fixed a bug released to checking m_IORegion againse the largest region to determin if we were requested to stream
        COMP: fixed unused variable for GetSplitRegionForWriting
        BUG: When writing an ROI, maxIndex should point to the last pixel to write - not beyond it.

    Code/IO/itkMetaImageIO
        BUG: Fixed tests for canstreamread and canstreamwrite

    Code/IO/itkSpatialObjectReader
        STYLE: Fix various doxygen problems. Missing documentation is tagged with a TODO.

    Code/IO/itkSpatialObjectWriter
        STYLE: Fix various doxygen problems. Missing documentation is tagged with a TODO.

    Code/IO/itkTestDriver
        ENH: Improved error reporting when an exception is part of the testing framework itself.

    Code/IO/itkTransformFileReader
        STYLE: Fix various doxygen problems. Missing documentation is tagged with a TODO.

    Code/IO/itkTransformFileWriter
        STYLE: Fix various doxygen problems. Missing documentation is tagged with a TODO.

    Code/Numerics/itkAmoebaOptimizer
        STYLE: testing.
        STYLE: testing.

    Code/Numerics/itkExhaustiveOptimizer
        STYLE: according to kwstyle.

    Code/Numerics/itkLBFGSBOptimizer
        STYLE: according to kwstyle.

    Code/Numerics/itkMultipleValuedVnlCostFunctionAdaptor
        STYLE: according to kwstyle.

    Code/Numerics/itkMultivariateLegendrePolynomial
        STYLE: Improve latex formula for doxygen documentation

    Code/Numerics/itkPowellOptimizer
        STYLE: according to kwstyle.

    Code/Numerics/itkSPSAOptimizer
        STYLE: according to kwstyle.

    Code/Numerics/itkSPSAOptimizer
        STYLE: remove unnecessary semicolon
        STYLE: extras ;'s.

    Code/Numerics/FEM/itkFEM
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement1DStress
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement1DStress
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearLine
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearLine
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearLineStress
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearLineStress
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearQuadrilateral
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearQuadrilateral
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearQuadrilateralMembrane
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearQuadrilateralMembrane
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearQuadrilateralStrain
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearQuadrilateralStrain
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearQuadrilateralStress
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearQuadrilateralStress
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearTriangular
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearTriangular
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearTriangularMembrane
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearTriangularMembrane
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearTriangularStrain
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearTriangularStrain
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearTriangularStress
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0LinearTriangularStress
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0QuadraticTriangular
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0QuadraticTriangular
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0QuadraticTriangularStrain
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0QuadraticTriangularStrain
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0QuadraticTriangularStress
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC0QuadraticTriangularStress
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC1Beam
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DC1Beam
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DMembrane
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DMembrane
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DStrain
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DStrain
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DStress
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement2DStress
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DC0LinearHexahedron
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DC0LinearHexahedron
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DC0LinearHexahedronMembrane
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DC0LinearHexahedronMembrane
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DC0LinearHexahedronStrain
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DC0LinearHexahedronStrain
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DC0LinearTetrahedron
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DC0LinearTetrahedron
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DC0LinearTetrahedronMembrane
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DC0LinearTetrahedronMembrane
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DC0LinearTetrahedronStrain
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DC0LinearTetrahedronStrain
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DMembrane
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DMembrane
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DStrain
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElement3DStrain
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElementBase
        STYLE: According to kwstyle.

    Code/Numerics/FEM/itkFEMElementBase
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElementStd
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElementStd
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMElements
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMException
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMException
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMGenerateMe
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMGenerateMesh
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMImageMetricLoad
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMImageMetricLoad
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMImageMetricLoadImplementation
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMInitialization
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMInitialization
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMItpackSparseMatrix
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMItpackSparseMatrix
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLightObject
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLightObject
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLinearSystemWrapper
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLinearSystemWrapper
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLinearSystemWrapperDenseVNL
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLinearSystemWrapperDenseVNL
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLinearSystemWrapperItpack
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLinearSystemWrapperItpack
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLinearSystemWrapperVNL
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLinearSystemWrapperVNL
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLinearSystemWrappers
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadBC
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadBC
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadBCMFC
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadBCMFC
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadBase
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadBase
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadEdge
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadEdge
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadElementBase
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadElementBase
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadGrav
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadGrav
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadImplementationGenericBodyLoad
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadImplementationGenericBodyLoad
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadImplementationGenericLandmarkLoad
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadImplementationGenericLandmarkLoad
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadImplementationTest
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadImplementationsRegister
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadLandmark
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadLandmark
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadNode
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadNode
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadPoint
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadPoint
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoadTest
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMLoads
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMMacro
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMMaterialBase
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMMaterialBase
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMMaterialLinearElasticity
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMMaterialLinearElasticity
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMMaterials
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMObjectFactory
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMP
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMPArray
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMSolution
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMSolver
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMSolver
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMSolverCrankNicolson
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMSolverCrankNicolson
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMSolverHyperbol
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMSolverHyperbolic
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMUtility
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkFEMUtility
        STYLE: according to kwstyle.

    Code/Numerics/FEM/itkVisitorDispatcher
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkBackPropagationLayer
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkBackPropagationLayer
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkBatchSupervisedTrainingFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkCompletelyConnectedWeightSet
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkErrorBackPropagationLearningFunctionBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkErrorBackPropagationLearningFunctionBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkErrorBackPropagationLearningWithMomentum
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkErrorBackPropagationLearningWithMomentum
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkErrorFunctionBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkGaussianRadialBasisFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkGaussianRadialBasisFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkGaussianTransferFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkHardLimitTransferFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkIdentityTransferFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkInputFunctionBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkIterativeSupervisedTrainingFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkLayerBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkLayerBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkLearningFunctionBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkLogSigmoidTransferFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkMeanSquaredErrorFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkMeanSquaredErrorFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkMultilayerNeuralNetworkBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkMultilayerNeuralNetworkBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkMultiquadricRadialBasisFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkNNetDistanceMetricBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkNeuralNetworkObject
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkNeuralNetworkObject
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkOneHiddenLayerBackPropagationNeuralNetwork
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkOneHiddenLayerBackPropagationNeuralNetwork
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkProductInputFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkQuickPropLearningRule
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkQuickPropLearningRule
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkRBFBackPropagationLearningFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkRBFBackPropagationLearningFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkRBFLayer
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkRBFLayer
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkRBFNetwork
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkRadialBasisFunctionBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkRadialBasisFunctionBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkSigmoidTransferFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkSignedHardLimitTransferFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkSquaredDifferenceErrorFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkSquaredDifferenceErrorFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkSumInputFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkSymmetricSigmoidTransferFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkTanHTransferFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkTanSigmoidTransferFunction
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkTrainingFunctionBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkTransferFunctionBase
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkTwoHiddenLayerBackPropagationNeuralNetwork
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkTwoHiddenLayerBackPropagationNeuralNetwork
        STYLE: according to kwstyle.

    Code/Numerics/NeuralNetworks/itkWeightSetBase
        STYLE: according to kwstyle.

    Code/Numerics/Statistics/itkHistogram
        COMP: Superclass was not redefined.

    Code/Numerics/Statistics/itkHistogramToEntropyImageFilter
        ENH: Let the user choose the output pixel type.

    Code/Numerics/Statistics/itkHistogramToIntensityImageFilter
        ENH: Let the user choose the output pixel type.

    Code/Numerics/Statistics/itkHistogramToLogProbabilityImageFilter
        ENH: Let the user choose the output pixel type.

    Code/Numerics/Statistics/itkHistogramToProbabilityImageFilter
        ENH: Let the user choose the output pixel type.

    Code/Numerics/Statistics/itkScalarImageToHistogramGenerator
        STYLE: Fix various doxygen problems. Missing documentation is tagged with a TODO.

    Code/Patented/itkActiveShapeModelCalculator
        STYLE: according to kwstyle.

    Code/Patented/itkActiveShapeModelCalculator
        STYLE: according to kwstyle.

    Code/Patented/itkActiveShapeModelGradientSearchMethod
        STYLE: according to kwstyle.

    Code/Patented/itkActiveShapeModelGradientSearchMethod
        STYLE: according to kwstyle.

    Code/Patented/itkSimpleFuzzyConnectednessImageFilterBase
        STYLE: according to kwstyle.

    Code/Patented/itkSimpleFuzzyConnectednessImageFilterBase
        STYLE: according to kwstyle.

    Code/Patented/itkSimpleFuzzyConnectednessRGBImageFilter
        STYLE: according to kwstyle.

    Code/Patented/itkSimpleFuzzyConnectednessRGBImageFilter
        STYLE: according to kwstyle.

    Code/Patented/itkSimpleFuzzyConnectednessScalarImageFilter
        STYLE: according to kwstyle.

    Code/Patented/itkSimpleFuzzyConnectednessScalarImageFilter
        STYLE: according to kwstyle.

    Code/Patented/itkVectorFuzzyConnectednessImageFilter
        STYLE: According to kwstyle.

    Code/Patented/itkVectorFuzzyConnectednessImageFilter
        STYLE: According to kwstyle.

    Code/Review/CMakeLists.txt
        COMP: removed redendant library.

    Code/Review/itkAddConstantToImageFilter
    insight-users/2009-February/029212.html
        STYLE: testing.

    Code/Review/itkAnchorErodeDilateLine
        STYLE: Testing pre-commit check

    Code/Review/itkAreaClosingImageFilter
        COMP: non-portable use of static const. non-portable use of typename.
    1316

    Code/Review/itkAreaOpeningImageFilter
        COMP: non-portable use of static const. non-portable use of typename.
    1316

    Code/Review/itkAttributeMorphologyBaseImageFilter
        COMP: non-portable use of static const. non-portable use of typename.
    1316

    Code/Review/itkAttributeMorphologyBaseImageFilter
        ENH: Decrease the memory usage of sizeof(long)*(dim-1)*nb_of_pixels and (thus) improve execution time by about 5% by computing the index from the position instead of storing it for all the pixels.

    Code/Review/itkBSplineScatteredDataPointSetToImageFilter
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/Review/itkBinaryContourImageFilter
    publication/217

    Code/Review/itkBinaryContourImageFilter
    publication/217

    Code/Review/itkBinaryMorphologicalClosingImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Review/itkBinaryMorphologicalClosingImageFilter

    Code/Review/itkBinaryMorphologicalOpeningImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Review/itkBinaryMorphologicalOpeningImageFilter

    Code/Review/itkBoxImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Review/itkComposeRGBAImageFilter
    insight-users/2009-February/029212.html

    Code/Review/itkContourExtractor2DImageFilter
        STYLE: various issues. Many dealing with comments.

    Code/Review/itkConvolutionImageFilter
        STYLE: Add a docstring.
        ENH: Add missing PrintSelf() content.

    Code/Review/itkConvolutionImageFilter
        COMP: uninitialized memory read. m_Normalize was not set properly in constructor.
        COMP: ImageKernel is not member data, but because of its use in the SetInputMacro, the PrintSelf check thinks it is member data. Placing a faux print in a comment resolves the issue.
        ENH: Thread support.
        ENH: Add missing PrintSelf() content.
    1323

    Code/Review/itkDiffeomorphicDemonsRegistrationFilter
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/Review/itkDiscreteGaussianDerivativeImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.
        STYLE: various issues. Many dealing with comments.

    Code/Review/itkDiscreteGaussianDerivativeImageFunction
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.
        STYLE: various issues. Many dealing with comments.

    Code/Review/itkDiscreteGaussianDerivativeImageFunction
        STYLE: various issues. Many dealing with comments.

    Code/Review/itkDiscreteGradientMagnitudeGaussianImageFunction
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.
        STYLE: various issues. Many dealing with comments.

    Code/Review/itkDiscreteGradientMagnitudeGaussianImageFunction
        STYLE: various issues. Many dealing with comments.

    Code/Review/itkDiscreteHessianGaussianImageFunction
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.
        STYLE: Insight-Journal handle was wrong

    Code/Review/itkDiscreteHessianGaussianImageFunction
        STYLE: various issues. Many dealing with comments.

    Code/Review/itkDivideByConstantImageFilter
    insight-users/2009-February/029212.html

    Code/Review/itkESMDemonsRegistrationFunction
        STYLE: fixed identation
        BUG: If images are now using image direction information, then set the m_UseImageDirection to true instead as the default.

    Code/Review/itkESMDemonsRegistrationFunction
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.
        COMP: #warning not portable.
        BUG: Test for ITK_IMAGE_BEHAVES_AS_ORIENTED_IMAGE was incorrect. ENH: Better description in warning. ENH: Only throw exception if the direction of the fixed  image is not identity.

    Code/Review/itkExponentialDeformationFieldImageFilter
        ENH: Added the possibility to compute the inverse deformation field with ExponentialDeformationFieldImageFilter

    Code/Review/itkExponentialDeformationFieldImageFilter
        STYLE: fixed indentation
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/Review/itkFFTComplexToComplexImageFilter
        STYLE: according to kwstyle.

    Code/Review/itkFFTShiftImageFilter
    321

    Code/Review/itkFFTShiftImageFilter
    321

    Code/Review/itkFFTWComplexToComplexImageFilter
        ENH: Replacing reinterpret_cast with dynamic_cast.

    Code/Review/itkFastSymmetricForcesDemonsRegistrationFilter
        STYLE: various issues. Many dealing with comments.

    Code/Review/itkFastSymmetricForcesDemonsRegistrationFilter
        BUG: BUGID 0008058 Output images of filters were not consistently setting the image Directions at the same time as setting the desired output spacing and origins.

    Code/Review/itkFlatStructuringElement
        STYLE: various issues. Many dealing with comments.

    Code/Review/itkGaussianDerivativeOperator
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Review/itkGeometricalQuadEdge
        ENH: optimization of release code in all QuadEdgeMesh related classes.

    Code/Review/itkHessianToObjectnessMeasureImageFilter
        COMP: Addressing compilation errors in Borland.

    Code/Review/itkHessianToObjectnessMeasureImageFilter
        COMP: Addressing warning about shadowing a type declaration for EigenValueImageType.

    Code/Review/itkImageKernelOperator
    1323

    Code/Review/itkImageKernelOperator
    1323

    Code/Review/itkLabelContourImageFilter
    publication/217

    Code/Review/itkLabelContourImageFilter
    publication/217

    Code/Review/itkLabelOverlayFunctor
    insight-users/2009-February/029212.html

    Code/Review/itkLabelToRGBFunctor
    insight-users/2009-February/029212.html

    Code/Review/itkLabelToRGBImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Review/itkMINC2ImageIO
        STYLE: Remove cruft to make the function a bit easier to read.

    Code/Review/itkMINC2ImageIO
        STYLE: Remove cruft to make the function a bit easier to read.

    Code/Review/itkMagnitudeAndPhaseToComplexImageFilter
    insight-users/2009-February/029212.html

    Code/Review/itkMorphologicalWatershedFromMarkersImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Review/itkMorphologicalWatershedImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Review/itkMovingHistogramMorphologicalGradientImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Review/itkMultiScaleHessianBasedMeasureImageFilter
        COMP: Fixed lack of const-correctness in the GetScalesOutput() and GetHessianOutput() methods.
        COMP: adding an intermediate typedef in order to help VS6.0 digest a NumericTraits expression.

    Code/Review/itkMultiScaleHessianBasedMeasureImageFilter
        COMP: Addressing warning about conversion from double to integer type.
        COMP: Visual Studio 6.0 doesn't have std::max().  Using vnl_math_max() instead.
        ENH: print out missed ivars

    Code/Review/itkMultiplyByConstantImageFilter
    insight-users/2009-February/029212.html

    Code/Review/itkOptAdaptiveHistogramEqualizationImageFilter
        STYLE: according to kwstyle.

    Code/Review/itkOptBSplineInterpolateImageFunction
        COMP: Fix non implemented operator= error while build wrapitk unstable with tcl.
        BUG: If images are now using image direction information, then set the m_UseImageDirection to true instead as the default.

    Code/Review/itkOptBSplineInterpolateImageFunction
        BUG: If images are now using image direction information, then set the m_UseImageDirection to true instead as the default.

    Code/Review/itkOptBinaryMorphologyImageFilter
        STYLE: various issues. Many dealing with comments.

    Code/Review/itkOptBlackTopHatImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Review/itkOptBlackTopHatImageFilter

    Code/Review/itkOptGrayscaleMorphologicalClosingImageFilter

    Code/Review/itkOptGrayscaleMorphologicalOpeningImageFilter

    Code/Review/itkOptResampleImageFilter
        ENH: GetSplineOrder() should be const\nENH: GetDefaultPixelValue() should be const

    Code/Review/itkOptResampleImageFilter
        BUG: fix to bug 0008104, Resample and OptResample fail to compile when TInputImage is different from TOutputImage and SetReferenceImage is used

    Code/Review/itkOptWhiteTopHatImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Review/itkOptWhiteTopHatImageFilter

    Code/Review/itkPhilipsRECImageIO
        BUG: The direction cosine for the 4th dimension set to 0 0 0 0 was causing an exception to be thrown.  Setting the value to 0 0 0 1 fixes the problem.

    Code/Review/itkQuadEdge
        ENH: optimization of release code in all QuadEdgeMesh related classes.

    Code/Review/itkQuadEdge
        ENH: optimization of release code in all QuadEdgeMesh related classes.

    Code/Review/itkQuadEdgeMesh
        ENH: faster QE 2 QE copy.

    Code/Review/itkQuadEdgeMe
        ENH: faster QE 2 QE copy.
        BUG: Graft method must also copy EdgeCellsContainer.

    Code/Review/itkQuadEdgeMeshBaseIterator
        ENH: coverage.

    Code/Review/itkQuadEdgeMeshBorderTransform
        ENH: m_Radius can now be set externally, else it is computed internally

    Code/Review/itkQuadEdgeMeshBorderTransform
        ENH: m_Radius can now be set externally, else it is computed internally

    Code/Review/itkQuadEdgeMeshBoundaryEdgesMeshFunction
        STYLE: According to kwstyle.

    Code/Review/itkQuadEdgeMeshBoundaryEdgesMeshFunction
        ENH: coverage.

    Code/Review/itkQuadEdgeMeshCleanFilter
        ENH: copy of the EdgeCells container

    Code/Review/itkQuadEdgeMeshDecimationFilter
        BUG: Fix bug with tetrahedron case. STYLE: Fix typo.

    Code/Review/itkQuadEdgeMeshEdgeMergeDecimationFilter
        STYLE: use itkDebugMacro, renamed internal method...

    Code/Review/itkQuadEdgeMeshEdgeMergeDecimationFilter
        COMP: Fixing warning about unused variable when NDEBUG is defined.
        STYLE: use itkDebugMacro, renamed internal method...

    Code/Review/itkQuadEdgeMeshEulerOperatorCreateCenterVertexFunction
        ENH: optimization of release code in all QuadEdgeMesh related classes.

    Code/Review/itkQuadEdgeMeshEulerOperatorFlipEdgeFunction
        ENH: coverage.

    Code/Review/itkQuadEdgeMeshEulerOperatorFlipEdgeFunction
        ENH: optimization of release code in all QuadEdgeMesh related classes.

    Code/Review/itkQuadEdgeMeshEulerOperatorJoinFacetFunction
        ENH: optimization of release code in all QuadEdgeMesh related classes.

    Code/Review/itkQuadEdgeMeshEulerOperatorJoinVertexFunction
        BUG: Fix bug with tetrahedron case. STYLE: Fix typo.

    Code/Review/itkQuadEdgeMeshEulerOperatorJoinVertexFunction
        BUG: Fix bug with tetrahedron case. STYLE: Fix typo.

    Code/Review/itkQuadEdgeMeshFrontIterator
        ENH: coverage.

    Code/Review/itkQuadEdgeMeshFrontIterator
        ENH: coverage.

    Code/Review/itkQuadEdgeMeshScalarDataVTKPolyDataWriter

    Code/Review/itkQuadEdgeMeshScalarDataVTKPolyDataWriter

    Code/Review/itkQuadEdgeMeshSmoothing
        STYLE: According to kwstyle.

    Code/Review/itkQuadEdgeMeshSmoothing
    1518

    Code/Review/itkQuadEdgeMeshToQuadEdgeMeshFilter
        ENH: faster QE 2 QE copy.

    Code/Review/itkRealAndImaginaryToComplexImageFilter
    insight-users/2009-February/029212.html

    Code/Review/itkRegionalMaximaImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Review/itkRegionalMinimaImageFilter
        STYLE: Fix encoding in itkMetaDataObject.h and drop the diacritics to have the all the source code encoded in ascii. Most of the diacritics were in my name and in the name of my lab. The other were in the name of Ivan Macia - I hope he won't mind.

    Code/Review/itkRobustAutomaticThresholdCalculator
    370

    Code/Review/itkRobustAutomaticThresholdCalculator
        COMP: Fix error C2666: 'pow' : 7 overloads have similar conversions on FreeVC++

    Code/Review/itkRobustAutomaticThresholdImageFilter
        STYLE: Add the IJ link and the author.

    Code/Review/itkRobustAutomaticThresholdImageFilter
    370

    Code/Review/itkShapedFloodFilledFunctionConditionalConstIterator

    Code/Review/itkShapedFloodFilledFunctionConditionalConstIterator

    Code/Review/itkShapedFloodFilledImageFunctionConditionalConstIterator

    Code/Review/itkShapedFloodFilledImageFunctionConditionalConstIterator

    Code/Review/itkShapedFloodFilledImageFunctionConditionalIterator

    Code/Review/itkSharedMorphologyUtilities
        COMP: Addressing warning about unused variable 'input' in line 270.

    Code/Review/itkSliceBySliceImageFilter

    Code/Review/itkSliceBySliceImageFilter

    Code/Review/itkSubtractConstantFromImageFilter
    insight-users/2009-February/029212.html

    Code/Review/itkVTKPolyDataWriter
        BUG: Fix error when PointsContainer is not contiguous and particular cases where SqueezePointsIds can not be applied

    Code/Review/itkVTKPolyDataWriter
        BUG: Fix error when PointsContainer is not contiguous and particular cases where SqueezePointsIds can not be applied

    Code/Review/itkVanHerkGilWermanDilateImageFilter
    insight-users/2009-February/029212.html

    Code/Review/itkVanHerkGilWermanErodeImageFilter
    insight-users/2009-February/029212.html

    Code/SpatialObject/itkAffineGeometryFrame
        STYLE: according to kwstyle.

    Code/SpatialObject/itkArrowSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkBlobSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkBoxSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkContourSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkContourSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkContourSpatialObjectPoint
        STYLE: according to kwstyle.

    Code/SpatialObject/itkCylinderSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkDTITubeSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkDTITubeSpatialObjectPoint
        STYLE: according to kwstyle.

    Code/SpatialObject/itkDTITubeSpatialObjectPoint
        STYLE: according to kwstyle.

    Code/SpatialObject/itkEllipseSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkGaussianSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkGroupSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkImageMaskSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkLandmarkSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkLineSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkLineSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkLineSpatialObjectPoint
        STYLE: according to kwstyle.

    Code/SpatialObject/itkMetaEvent
        STYLE: Fix various doxygen problems. Missing documentation is tagged with a TODO.

    Code/SpatialObject/itkMetaImageConverter
        STYLE: according to kwstyle.

    Code/SpatialObject/itkMetaSceneConverter
        STYLE: according to kwstyle.

    Code/SpatialObject/itkPlaneSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkPointBasedSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkPolygonGroupSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkPolygonSpatialObject
        STYLE: Fix various doxygen problems. Missing documentation is tagged with a TODO.

    Code/SpatialObject/itkSceneSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkSpatialObjectPoint
        STYLE: according to kwstyle.

    Code/SpatialObject/itkSpatialObjectTreeNode
        STYLE: according to kwstyle.

    Code/SpatialObject/itkSurfaceSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkSurfaceSpatialObjectPoint
        STYLE: according to kwstyle.

    Code/SpatialObject/itkTubeSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkTubeSpatialObjectPoint
        STYLE: according to kwstyle.

    Code/SpatialObject/itkVesselTubeSpatialObject
        STYLE: according to kwstyle.

    Code/SpatialObject/itkVesselTubeSpatialObjectPoint
        STYLE: according to kwstyle.

    Examples/Filtering/CMakeLists.txt
        ENH: Fine tunning parameter values for the GradientVectorFlowImageFilter.
        ENH: Adding example and testing for GradientVectorFlowImageFilter.

    Examples/Filtering/CannyEdgeDetectionImageFilter
        BUG: Failed to check for the existance of new command line arguments.

    Examples/Filtering/FilteringExamples8
        ENH: Adding example and testing for GradientVectorFlowImageFilter.

    Examples/Filtering/GradientRecursiveGaussianImageFilter
        ENH: Improving the defintion of types by adding a explicit Dimension constant.

    Examples/Filtering/GradientVectorFlowImageFilter
        ENH: Fine tunning parameter values for the GradientVectorFlowImageFilter.
        ENH: Adding example and testing for GradientVectorFlowImageFilter.

    Examples/Filtering/ResampleImageFilter

    Examples/Filtering/ResampleImageFilter2

    Examples/Filtering/ResampleImageFilter3

    Examples/Filtering/ResampleImageFilter4

    Examples/Filtering/ResampleImageFilter5

    Examples/Filtering/ResampleImageFilter6

    Examples/Filtering/ResampleImageFilter7

    Examples/Filtering/ResampleImageFilter8

    Examples/Filtering/ResampleImageFilter9

    Examples/Filtering/ResampleVolumesToBeIsotrop

    Examples/Filtering/SubsampleVolume

    Examples/Filtering/WarpImageFilter1

    Examples/Installation/CMakeLists.txt
        ENH: Updated for CMake 2.6.

    Examples/Registration/CMakeLists.txt
        ENH: Adding 3D version of example MultiResImageRegistration1.cxx.

    Examples/Registration/MultiResImageRegistration3
        ENH: Adding 3D version of example MultiResImageRegistration1.cxx.

    Examples/Segmentation/CMakeLists.txt
        ENH: Improving examples for cellular-based segmentation. Now saving the output mesh, and also added a 3D example.

    Examples/Segmentation/CellularSegmentation1
        COMP: Missed to add #ifdef ITK_USE_REVIEW around the #include of the VTKPolyDataWriter.

    Examples/Segmentation/CellularSegmentation2
        COMP: Missed to add #ifdef ITK_USE_REVIEW around the #include of the VTKPolyDataWriter.

    Examples/Segmentation/SegmentationExamples9
        ENH: Improving examples for cellular-based segmentation. Now saving the output mesh, and also added a 3D example.

    Examples/SpatialObjects/CMakeLists.txt
        COMP: remove redundant libray ITKMetaIO.

    Testing/Code/CMakeLists.txt
        COMP: Fixes issue with cmake release in new ubuntu - handles ++ in pathname

    Testing/Code/Algorithms/CMakeLists.txt
        ENH: Add a pixel tolerance to new regression test itkMultiResolutionPDEDeformableRegistrationTest.

    Testing/Code/Algorithms/itkAlgorithmsHeaderTest
        COMP: Fixing ifdef syntax. Missing "(".

    Testing/Code/Algorithms/itkAlgorithmsTests4

    Testing/Code/Algorithms/itkBayesianClassifierImageFilterTest
        ENH: added pipeline monitor filter to output to verify

    Testing/Code/Algorithms/itkMultiResolutionPDEDeformableRegistrationTest
        ENH: itkMultiResolutionPDEDeformableRegistrationTest is now a regression test.

    Testing/Code/Algorithms/itkMultiResolutionPyramidImageFilterTest
        BUG:  0008275 Resolved issue to preserve center of mass of the images at all levels of the image pyramid.

    Testing/Code/Algorithms/itkRecursiveMultiResolutionPyramidImageFilterTest

    Testing/Code/Algorithms/itkRegularSphereMeshSourceTest
        ENH: Adding verification of points distance to center and adding verification of number of points per cell.

    Testing/Code/BasicFilters/CMakeLists.txt
        ENH: Added test to test the ReleaseDataFlag in a variety of complicated pipleline ways
        ENH: Exercise ConnectedComponentImageFilter with a RGB image as input. This use case was reported by Julien Michel, and broken by me in the absence of test.
        BUG: #7798. Modified itkDeformableSimplexMesh3DFilter types to be consistent with itkkSimplexMeshGeometry. This permits use of float coordtypes for Simplex Meshes. ENH: Added test to check for Simplex Mesh float points.

    Testing/Code/BasicFilters/itkBasicFiltersTests
        ENH: Exercise ConnectedComponentImageFilter with a RGB image as input. This use case was reported by Julien Michel, and broken by me in the absence of test.

    Testing/Code/BasicFilters/itkBasicFiltersTests2
        BUG: BUGID 0008275 has detailed description of how to make this test pass.

    Testing/Code/BasicFilters/itkBasicFiltersTests5
        ENH: Added test to test the ReleaseDataFlag in a variety of complicated pipleline ways

    Testing/Code/BasicFilters/itkCannyEdgeDetectionImageFilterTest
        BUG: 7219 added check of certain set methods

    Testing/Code/BasicFilters/itkConnectedComponentImageFilterTestRGB
        ENH: Exercise ConnectedComponentImageFilter with a RGB image as input. This use case was reported by Julien Michel, and broken by me in the absence of test.

    Testing/Code/BasicFilters/itkConnectedThresholdImageFilterTest

    Testing/Code/BasicFilters/itkDisplacementFieldJacobianDeterminantFilterTest
        ENH: better code coverage.

    Testing/Code/BasicFilters/itkGaussianImageSourceTest

    Testing/Code/BasicFilters/itkGradientMagnitudeRecursiveGaussianFilterTest
        COMP: Getting the modifications to compile with gcc 4.2.

    Testing/Code/BasicFilters/itkMaskImageFilterTest
        ENH: Improving coding style and adding call to Print() in order to increase code coverage.

    Testing/Code/BasicFilters/itkMaskNegatedImageFilterTest

    Testing/Code/BasicFilters/itkReleaseDataFilterTest
        BUG: DataObject:: GlobalReleaseDataFlag static member functions were not used, they are now

    Testing/Code/BasicFilters/itkShrinkImagePreserveObjectPhysicalLocations
        COMP: Test must support both states of ITK_IMAGE_BEHAVES_AS_ORIENTED_IMAGE.
        ENH:  Added necessary include file.
        BUG: BUGID 0008275 has detailed description of how to make this test pass.

    Testing/Code/BasicFilters/itkShrinkImageTest

    Testing/Code/BasicFilters/itkSimplexMeshWithFloatCoordRepTest
        COMP: warnings.

    Testing/Code/BasicFilters/itkStreamingImageFilterTest
        BUG: 8457 overloaded PropagateRequestedRegion method to remove extraneous execution of propagating requested region up the pipeline then added a PipelineMonitor to the tests to verify the methods are not being called extra time

    Testing/Code/BasicFilters/itkStreamingImageFilterTest2
        BUG: 8457 overloaded PropagateRequestedRegion method to remove extraneous execution of propagating requested region up the pipeline then added a PipelineMonitor to the tests to verify the methods are not being called extra time

    Testing/Code/Common/CMakeLists.txt
        ENH: Adding a test for evaluating the computation time of the vnl_math_rnd() function.

    Testing/Code/Common/itkBinaryThresholdSpatialFunctionTest
        ENH: Better coverage.

    Testing/Code/Common/itkCommonTests2
        ENH: Adding a test for evaluating the computation time of the vnl_math_rnd() function.

    Testing/Code/Common/itkMultiThreaderTest
        COMP: shadowed variable warning.

    Testing/Code/Common/itkRigid3DTransformTest
        BUG: 0008320 When composing with a Translate operation the internal state of m_Translation variable was not being maintained properly because it is bypassed and the m_Offset was being set explicitly.  this is problematic because m_Offest is only used internal to the transform, and m_Translation is the externally exposed interface for the class (i.e. GetParameters returns m_Translation).

    Testing/Code/Common/itkSplineKernelTransformTest
        BUG: ThinPlateR2LogRSplineKernelTransform was defined, but not tested.

    Testing/Code/Common/itkTimeStampTest
    private/insight-developers/2009-February/011732.html for more detail
        ENH: fake the non-optimized timestamp by surrounding the call to TimeStamp::Modified with a mutex
        ENH: Reorganizing the test and adding information print outs to track test failures.
        ENH: made TimeStampTest a little more stringent

    Testing/Code/Common/itkVNLRoundProfileTest1
        ENH: Added Macro version of round (still based on an if).
        ENH: Increasing the number of repeats in the global for-loop.
        ENH: Adding more data points, and doubling the range from -5:5 to -10:10.
        ENH: Now performing verification of value correctness against the vanilla implementation of rounding.

    Testing/Code/Common/itkVectorInterpolateImageFunctionTest
        BUG: 1) itkVectorLinearInterpolateNearestNeighborExtrapolateImageFunctionTest and itkExponentialDeformationFieldImageFilterTest were not run automatically  2) itkVectorInterpolateImageFunctionTest and itkVectorLinearInterpolateNearestNeighborExtrapolateImageFunctionTest were not reporting failure for all errors

    Testing/Code/Common/itkVersorTest
        BUG: out of bounds array write caused bogus failures on some platforms.

    Testing/Code/IO/CMakeLists.txt
        ENH: added tests for exceptions on ImageFileReader and tests to miss matched dimensions on reading
        ENH:: added series streaming test for dicom in ITK_DATA_ROOT and added verification of image spacing
        BUG: 8436 added test to verify that the geometry remains the same after writing and reading for an image with a non-zero index
        ENH: Changed itkImageFileWriterStreamingPastingCompressingTest1 to test all io flags and added test for nrrd nhdr vtk and dcm file extensions
        BUG: corrected output of test.
        ENH: streaming for ImageFileWriter with collaboration from ImageIOBase
        ENH: Adding test for pasting mode in ImageIO. (Generic).

    Testing/Code/IO/ImageCompare
        ENH: Improved error reporting when an exception is part of the testing framework itself.

    Testing/Code/IO/ImageCompareCommand
        ENH: Improved error reporting when an exception is part of the testing framework itself.

    Testing/Code/IO/ImageCopy
        ENH: Improved error reporting when an exception is part of the testing framework itself.

    Testing/Code/IO/itkDicomImageIODirection2DTest

    Testing/Code/IO/itkGDCMSeriesStreamReadImageWrite
        ENH:: added series streaming test for dicom in ITK_DATA_ROOT and added verification of image spacing

    Testing/Code/IO/itkIOTests
        ENH: added tests for exceptions on ImageFileReader and tests to miss matched dimensions on reading
        BUG: 8436 added test to verify that the geometry remains the same after writing and reading for an image with a non-zero index
        ENH: streaming for ImageFileWriter with collaboration from ImageIOBase
        ENH: Adding test for pasting mode in ImageIO. (Generic).

    Testing/Code/IO/itkImageFileReaderStreamingTest
        STYLE: Fixing coding style: missing brackets in single line ifs, inserting spaces inside parenthesis.

    Testing/Code/IO/itkImageFileReaderTest1
        ENH: Test to check exceptions of the ImageFileReader

    Testing/Code/IO/itkImageFileReaderTest2
        ENH: Tests reading of files when the diminsions differ. We should be able to reader a 3D image into a 4D. and a 4D image whose last dimension has size 1 into a 3D image.

    Testing/Code/IO/itkImageFileWriterPastingTest1
        BUG: 8436 changed RegionIOCovert to include index paramerter
        ENH: Adding test for pasting mode in ImageIO. (Generic).

    Testing/Code/IO/itkImageFileWriterPastingTest2
        COMP: That quirky Borland compiler strikes again. STYLE: mainly indentation.
        ENH: Added method to internally test it paste region matches

    Testing/Code/IO/itkImageFileWriterStreamingPastingCompressingTest1
        ENH: improved output to more easily trace what is occourring. Changed std::cerr to std::cout.
        COMP: fixed warning about scope of i in for loops

    Testing/Code/IO/itkImageFileWriterStreamingTest1
        ENH: changed to PipelineMonitor::Verify methods SYTLE: was improved
        ENH: streaming for ImageFileWriter with collaboration from ImageIOBase

    Testing/Code/IO/itkImageFileWriterStreamingTest2
        BUG: 8490 Enabled verification that the pipeline was executed correctly
        COMP: fixed unused err warning and confused double and unsighed int types in SameImage method
        ENH: Updated to print the part of the test it is runng and utilized test methods of PipelineMonitor

    Testing/Code/IO/itkImageFileWriterTest2
        ENH:: added printing of ImageFileWriter

    Testing/Code/IO/itkMetaImageStreamingWriterIOTest
        BUG: Test was failing if # of slices was < number of splits. Now # of slipts is clamped.

    Testing/Code/IO/itkPipelineMonitorImageFilter
        ENH: added m_NumberOfClearPipeline variable and VerifyAllNoUpdate method
        ENH: Separated m_UpdatedRegions into m_UpdatedBufferedRegion and m_UpdatedRequestedRegion

    Testing/Code/Numerics/FEM/CMakeLists.txt
        ENH: Complementing the Itkpack tests, to run all solving methods with both the Test1 and Test2

    Testing/Code/Numerics/FEM/itkFEMLinearSystemWrapperItpackTest

    Testing/Code/Numerics/FEM/itkFEMLinearSystemWrapperItpackTest2
        BUG: It was destroying the wrong vector index.

    Testing/Code/Numerics/FEM/itkFEMTests

    Testing/Code/Numerics/Statistics/itkKdTreeGeneratorTest
        STYLE: Fix typos in comments.

    Testing/Code/Review/CMakeLists.txt
        BUG: 1) itkVectorLinearInterpolateNearestNeighborExtrapolateImageFunctionTest and itkExponentialDeformationFieldImageFilterTest were not run automatically  2) itkVectorInterpolateImageFunctionTest and itkVectorLinearInterpolateNearestNeighborExtrapolateImageFunctionTest were not reporting failure for all errors
        ENH: Split itkQuadEdgeMeshAddFaceTest1 into several tests

    370
    1323
    321
        BUG: Add one test for decimation with Tetrahedron. It is now failing (see BUG ID 0008499)
        BUG:some tests were not running
        ENH: Adding test that produces a Regular Sphere and writes it down as a VTK polydata file.
        ENH: Adding unit test for itkQuadEdgeMeshScalarDataVTKPolyDataWriter.

    Testing/Code/Review/itkAddConstantToImageFilterTest
        STYLE: indentation.

    Testing/Code/Review/itkAreaClosingImageFilterTest

    Testing/Code/Review/itkAreaOpeningImageFilterTest

    Testing/Code/Review/itkBinaryContourImageFilterTest
        ENH: Enhance code coverage of [Label,Binary]ContourImageFilter.
    publication/217

    Testing/Code/Review/itkConformalFlatteningMeshFilterTest
        ENH: Adding command line argument for the cellID to be used as the Pole.

    Testing/Code/Review/itkConvolutionImageFilterTest
        COMP: Hopefully, fix warning C4101: 'excp' : unreferenced local variable on FreeVC++
        ENH: Add sobel (not normalized) tests.

    Testing/Code/Review/itkConvolutionImageFilterTestInt
        BUG: Fix the not good enough precision used for the inner product when pixel type is a small int, the optional normalize parameter in the test, and the baseline image.
    1323

    Testing/Code/Review/itkDiffeomorphicDemonsRegistrationFilterTest
        BUG: Test for non-identity orientation only if both  ITK_USE_ORIENTED_IMAGE_DIRECTION and ITK_IMAGE_BEHAVES_AS_ORIENTED_IMAGE are ON.

    Testing/Code/Review/itkExponentialDeformationFieldImageFilterTest
        ENH: Added the possibility to compute the inverse deformation field with ExponentialDeformationFieldImageFilter

    Testing/Code/Review/itkFFTShiftImageFilterTest
        ENH: Enhance code coverage of fft shift filter.

    Testing/Code/Review/itkGeometricalQuadEdgeTest1
        ENH: coverage.

    Testing/Code/Review/itkHessianToObjectnessMeasureImageFilterTest
        ENH: Enabling compression when writing output images.

    Testing/Code/Review/itkLabelContourImageFilterTest
        ENH: Enhance code coverage of [Label,Binary]ContourImageFilter.
    publication/217

    Testing/Code/Review/itkMapOptGrayscaleMorphologicalClosingImageFilterTest
        BUG: Wrong default value in the tests.

    Testing/Code/Review/itkMapOptGrayscaleMorphologicalOpeningImageFilterTest
        BUG: Wrong default value in the tests.

    Testing/Code/Review/itkMultiScaleHessianBasedMeasureImageFilterTest
        ENH: Enabling compression when writing output images.

    Testing/Code/Review/itkOptGrayscaleMorphologicalClosingImageFilterTest
        BUG: Wrong default value in the tests.

    Testing/Code/Review/itkOptGrayscaleMorphologicalOpeningImageFilterTest
        BUG: Wrong default value in the tests.

    Testing/Code/Review/itkPriorityQueueTest
        ENH: coverage.

    Testing/Code/Review/itkQuadEdgeMeshAddFaceTest1
        ENH: Split itkQuadEdgeMeshAddFaceTest1 into several tests
        ENH: coverage.

    Testing/Code/Review/itkQuadEdgeMeshCountingCellsTest
        ENH: Increase coverage by testing particular cases for JoinVertexTests

    Testing/Code/Review/itkQuadEdgeMeshEulerOperatorCreateCenterVertexTest
        ENH: optimization of release code in all QuadEdgeMesh related classes.

    Testing/Code/Review/itkQuadEdgeMeshEulerOperatorDeleteCenterVertexTest
        ENH: Increase coverage by testing particular cases for JoinVertexTests

    Testing/Code/Review/itkQuadEdgeMeshEulerOperatorFlipTest
        ENH: coverage.
        ENH: Increase coverage by testing particular cases for JoinVertexTests

    Testing/Code/Review/itkQuadEdgeMeshEulerOperatorJoinFacetTest
        BUG: unused variable quadEdge1c and dummy in Release mode.
        ENH: Increase coverage by testing particular cases for JoinVertexTests

    Testing/Code/Review/itkQuadEdgeMeshEulerOperatorJoinVertexTest
        BUG: Fix bug with tetrahedron case. STYLE: Fix typo.
        BUG: iter variable was not used.

    Testing/Code/Review/itkQuadEdgeMeshEulerOperatorSplitEdgeTest
        ENH: Increase coverage by testing particular cases for JoinVertexTests

    Testing/Code/Review/itkQuadEdgeMeshEulerOperatorSplitFaceTest
        ENH: Increase coverage by testing particular cases for JoinVertexTests

    Testing/Code/Review/itkQuadEdgeMeshEulerOperatorSplitVertexTest
        ENH: Increase coverage by testing particular cases for JoinVertexTests

    Testing/Code/Review/Attic/itkQuadEdgeMeshEulerOperatorsTest
        ENH: Removing obsolete test.

    Testing/Code/Review/itkQuadEdgeMeshEulerOperatorsTestHelper
        ENH: Increase coverage by testing particular cases for JoinVertexTests

    Testing/Code/Review/itkQuadEdgeMeshLinearParameterizationTest
        ENH: coverage.

    Testing/Code/Review/itkQuadEdgeMeshScalarDataVTKPolyDataWriterTest1
        ENH: Improving usage of variables.
        ENH: Adding unit test for itkQuadEdgeMeshScalarDataVTKPolyDataWriter.

    Testing/Code/Review/itkQuadEdgeMeshSmoothingTest
        COMP: signature for main must be int argc, char* argv[], not int argc, char** argv.

    Testing/Code/Review/itkQuadEdgeMeshTest1
        ENH: coverage.

    Testing/Code/Review/itkQuadEdgeTest1
        BUG: unused variable quadEdge1c and dummy in Release mode.

    Testing/Code/Review/itkRegularSphereQuadEdgeMeshSourceTest
        ENH: Verifying the correctness of the output produced by the RegularSphere filter.

    Testing/Code/Review/itkReviewHeaderTest
        BUG: incorrect header file included
    1323
    publication/217

    Testing/Code/Review/itkReviewPrintTest
        COMP: Fixing declarations for the itkMultiScaleHessianBasedMeasureImageFilter.
        ENH: Enhance code coverage of ImageKernelOperator.

    Testing/Code/Review/itkReviewTests
        BUG: 1) itkVectorLinearInterpolateNearestNeighborExtrapolateImageFunctionTest and itkExponentialDeformationFieldImageFilterTest were not run automatically  2) itkVectorInterpolateImageFunctionTest and itkVectorLinearInterpolateNearestNeighborExtrapolateImageFunctionTest were not reporting failure for all errors
    370
    321
        ENH: Adding a test that combines the RegularSphere generator and the VTK polydata writer.

    Testing/Code/Review/itkReviewTests2
    1518

    Testing/Code/Review/itkRobustAutomaticThresholdImageFilterTest
    370

    Testing/Code/Review/itkShapedFloodFilledImageFunctionConditionalConstIteratorTest1
        COMP: Addressing VS60 warning about compiler generated default constructor and assignment to const.
        COMP: Fix warnings.

    Testing/Code/Review/itkShapedFloodFilledImageFunctionConditionalConstIteratorTest2
        COMP: Removing unused variable argv.
        COMP: Fix warnings.

    Testing/Code/Review/itkShapedFloodFilledImageFunctionConditionalConstIteratorTest3
        COMP: Fix warnings.

    Testing/Code/Review/itkSliceBySliceImageFilterTest
        STYLE: indentation.

    Testing/Code/Review/itkVTKPolyDataWriterTest2
        ENH: Adding test that produces a Regular Sphere and writes it down as a VTK polydata file.

    Testing/Code/Review/itkVectorLinearInterpolateNearestNeighborExtrapolateImageFunctionTest
        COMP: Adding itkNotUsed() to resolve warning about function argument not being used.

    Testing/Data/Baseline/Algorithms/itkBayesianClassifierImageFilterTestLabelMap.png

    Testing/Data/Baseline/Algorithms/itkMultiResolutionPDEDeformableRegistrationTest.1.png
        ENH: new baseline for improve pyramid filter.

    Testing/Data/Baseline/Algorithms/itkMultiResolutionPDEDeformableRegistrationTest.png
        ENH: itkMultiResolutionPDEDeformableRegistrationTest is now a regression test.

    Testing/Data/Baseline/BasicFilters/ConnectedThresholdImageFilterTest2.png

    Testing/Data/Baseline/BasicFilters/GrayscaleMorphologicalClosingImageFilterTest.png

    Testing/Data/Baseline/BasicFilters/GrayscaleMorphologicalOpeningImageFilterTest.png

    Testing/Data/Baseline/BasicFilters/itkBlackTopHatImageFilterTest.png

    Testing/Data/Baseline/BasicFilters/itkWhiteTopHatImageFilterTest.png

    Testing/Data/Baseline/Filtering/CannyEdgeDetectionImageFilter.png

    Testing/Data/Baseline/Filtering/CannyEdgeDetectionImageFilter2.png
        ENH: Base line for new test that illustrates the effect of Upper and Lower Thresholds in the CannyEdgeDetectionImageFilter.

    Testing/Data/Baseline/Filtering/MorphologicalImageEnhancement.png

    Testing/Data/Baseline/Filtering/ResampleImageFilter9Test.2.png
        COMP: Baseline for cygwin.

    Testing/Data/Baseline/Filtering/ZeroCrossingBasedEdgeDetectionImageFilter1.png

    Testing/Data/Baseline/Review/itkAreaClosingImageFilterTest0.png
    1316

    Testing/Data/Baseline/Review/itkAreaOpeningImageFilterTest0.png
    1316

    Testing/Data/Baseline/Review/itkBinaryContourImageFilterTest0.png
    publication/217

    Testing/Data/Baseline/Review/itkBinaryContourImageFilterTest1.png
    publication/217

    Testing/Data/Baseline/Review/itkConvolutionImageFilterTest5x5Mean.png
        BUG: Fix the not good enough precision used for the inner product when pixel type is a small int, the optional normalize parameter in the test, and the baseline image.

    Testing/Data/Baseline/Review/itkConvolutionImageFilterTestSobelX.nii.gz
        ENH: Add sobel (not normalized) tests.

    Testing/Data/Baseline/Review/itkConvolutionImageFilterTestSobelY.nii.gz
        ENH: Add sobel (not normalized) tests.

    Testing/Data/Baseline/Review/itkFFTShiftImageFilterTest0.png
    321

    Testing/Data/Baseline/Review/itkFFTShiftImageFilterTestEven0.png
        ENH: Enhance code coverage of fft shift filter.

    Testing/Data/Baseline/Review/itkLabelContourImageFilterTest0.png
    publication/217

    Testing/Data/Baseline/Review/itkLabelContourImageFilterTest1.png
    publication/217

    Testing/Data/Baseline/Review/itkRobustAutomaticThresholdImageFilterTest.png
    370

    Testing/Data/Input/5x5-constant.png
    1323

    Testing/Data/Input/8ConnectedImage.bmp

    Testing/Data/Input/DSA.png

    Testing/Data/Input/HeadMRVolume.mha
        BUG: error in previous commit, this should not work with non-windows too
        ENH: streaming for ImageFileWriter with collaboration from ImageIOBase

    Testing/Data/Input/sobel_x.nii.gz
        ENH: Add sobel (not normalized) tests.

    Testing/Data/Input/sobel_y.nii.gz
        ENH: Add sobel (not normalized) tests.

    Testing/Data/Input/tetrahedron.vtk
        ENH: Add thetrahedron vtk file

    Utilities/CMakeLists.txt
        ENH: Add KWStyle.
        BUG: Fix issue reported by Simon Warfield and incorrect codec decompression for 16bits SIEMENS lossless jpeg. (backport)

    Utilities/KWStyle/CMakeLists.txt
        ENH: testing
        ENH: testing
        ENH: testing

    Utilities/KWStyle/ITK.cvs.kws.xml
        ENH: Added checkstyle

    Utilities/KWStyle/ITKFiles.txt.in
        ENH: Fixed issue with glob()
        STYLE: patented is now clean.
        STYLE: adding more.
        ENH: Algorithms is complete.
        STYLE: Numerics.
        ENH: more files from algorithms.

    Utilities/KWStyle/ITKOverwrite.txt
        COMP: more common overrides.
        STYLE: VS6 cannot tolerate namespace in this file.
        STYLE: Common exceptions.
        STYLE: FEM exceptions.
        STYLE: FEM exceptions.
        STYLE: FEM exceptions.
        STYLE: FEM exceptions.
        STYLE: FEM exceptions.
        ENH: Algorithms is complete.

    Utilities/KWStyle/ITKReviewFiles.txt.in
        ENH: Add back cxx testing.
        ENH: debuggng commit.

    Utilities/KWStyle/KWStyle.cmake
        BUG: Fixing issue with STREQUAL
        ENH: Checking KWStyle version

    Utilities/KWStyle/doAllStyle.csh.in
        ENH: more emacs friendly.
        ENH: a unis script to run KWStyle on an entire directory.

    Utilities/MetaIO/.svnrev
        ENH: subversion revision 782 commited to CVS
        ENH: subversion revision 778 commited to CVS
        ENH: subversion revision 776 commited to CVS
        ENH: subversion revision 762 commited to CVS
        ENH: subversion revision 732 commited to CVS
        ENH: subversion revision 723 commited to CVS
        ENH: subversion revision 721 commited to CVS
        ENH: subversion revision 699 commited to CVS
        ENH: subversion revision 642 commited to CVS
        ENH: subversion revision 640 commited to CVS

    Utilities/MetaIO/metaCommand

    Utilities/MetaIO/metaImage

    Utilities/MetaIO/metaImage

    Utilities/MetaIO/metaUtils

    Utilities/MetaIO/metaUtils

    Utilities/gdcm/CMakeLists.txt

    Utilities/gdcm/src/gdcmElementSet
        BUG: Fix 0007004: ITK Memory leak in gdcm::gdcmdocument.h , function ParseDES, invoke RemoveEntry, and the solved method. Thanks to summit for report+patch

    Utilities/gdcm/src/gdcmFile
        STYLE: use itksys ns.

    Utilities/gdcm/src/gdcmFileHelper
        BUG: Need a valid root uid. At same time store gdcm version to be able to track potential confusion
        BUG: Fix issue reported by Simon Warfield and incorrect codec decompression for 16bits SIEMENS lossless jpeg. (backport)

    Utilities/gdcm/src/gdcmFileHelper
        BUG: Fix issue reported by Simon Warfield and incorrect codec decompression for 16bits SIEMENS lossless jpeg. (backport)

    Utilities/gdcm/src/gdcmJPEGFragment
        BUG: Handle case of JPEG 16Bits is stored in 12Bits DICOM *only after* case where JPEG 12Bits is stored in 12Bits DICOM as mandated by DICOM standard

    Utilities/gdcm/src/gdcmJPEGFragment
        BUG: Handle case of JPEG 16Bits is stored in 12Bits DICOM *only after* case where JPEG 12Bits is stored in 12Bits DICOM as mandated by DICOM standard

    Utilities/gdcm/src/gdcmJPEGFragmentsInfo
        BUG: Handle case of JPEG 16Bits is stored in 12Bits DICOM *only after* case where JPEG 12Bits is stored in 12Bits DICOM as mandated by DICOM standard

    Utilities/gdcm/src/gdcmJPEGFragmentsInfo
        BUG: Handle case of JPEG 16Bits is stored in 12Bits DICOM *only after* case where JPEG 12Bits is stored in 12Bits DICOM as mandated by DICOM standard

    Utilities/gdcm/src/gdcmJpeg
        BUG: Handle case of JPEG 16Bits is stored in 12Bits DICOM *only after* case where JPEG 12Bits is stored in 12Bits DICOM as mandated by DICOM standard

    Utilities/gdcm/src/gdcmPixelReadConvert
        BUG: Handle case of JPEG 16Bits is stored in 12Bits DICOM *only after* case where JPEG 12Bits is stored in 12Bits DICOM as mandated by DICOM standard

    Utilities/kwsys/CMakeLists.txt

    Utilities/kwsys/CTestConfig.cmake
        ENH: make it submit to cdash

    Utilities/kwsys/DynamicLoader
        ENH: fix dynamic loading on haiku

    Utilities/kwsys/DynamicLoader.hxx.in
        ENH: fix dynamic loading on haiku

    Utilities/kwsys/ProcessUNIX
        COMP:Fixed warnings.

    Utilities/kwsys/System

    Utilities/kwsys/SystemInformation
        BUG: #8496 add support for system info on haiku
        BUG: fix cpu info string

    Utilities/kwsys/SystemTools
        BUG: Do not copy permissions of files when making the copy in an install rule. If the source file was read-only, this prevents the subsequent set of the destination file's modification time, making the copied file always different in time-stamp than the original and always installing a new file with a new time stamp (but the same content) causing unnecessary downstream incremental rebuilds. As part of this fix, add an optional copyPermissions parameter to the SystemTools routines CopyFileIfDifferent, CopyFileAlways, CopyAFile and CopyADirectory. The copyPermissions parameter defaults to true to preserve the behavior of these routines for existing callers.

    Utilities/kwsys/SystemTools.hxx.in
        BUG: Do not copy permissions of files when making the copy in an install rule. If the source file was read-only, this prevents the subsequent set of the destination file's modification time, making the copied file always different in time-stamp than the original and always installing a new file with a new time stamp (but the same content) causing unnecessary downstream incremental rebuilds. As part of this fix, add an optional copyPermissions parameter to the SystemTools routines CopyFileIfDifferent, CopyFileAlways, CopyAFile and CopyADirectory. The copyPermissions parameter defaults to true to preserve the behavior of these routines for existing callers.

    Utilities/kwsys/kwsysDateStamp.cmake
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp
        STYLE: Nightly Date Stamp

    Utilities/kwsys/testProcess

    Utilities/vxl/config/cmake/config/CMakeLists.txt

    Utilities/vxl/config/cmake/config/vxl_utils.cmake
        COMP: Reverting change related to POLICY CMP0011 because it produces errors in CMake 2.4.6.

    Wrapping/CMakeLists.txt
        COMP: Generate an error if the new and the old wrapping are used together.

    Wrapping/WrapITK/CMakeLists.txt
        COMP: fix missing linkage with libstdc++ on solaris

    Wrapping/WrapITK/Java/CWD/CMakeLists.txt
        COMP: fix missing linkage with libstdc++ on solaris

    Wrapping/WrapITK/Modules/Base/CMakeLists.txt
        ENH: Add ContourExtractor2DImageFilter and other required classes wrappers to wrapitk.

    Wrapping/WrapITK/Modules/Base/wrap_itkFunctionBase.cmake
        COMP: Fix wrapping gap warnings.

    Wrapping/WrapITK/Modules/Base/wrap_itkImageFunction.cmake
        COMP: Fix wrapping gap warnings.

    Wrapping/WrapITK/Modules/Base/wrap_itkImageToImageFilterB.cmake
        ENH: Add BayesianClassifierImageFilter and BayesianClassifierInitializationImageFilter wrappers in wrapitk.

    Wrapping/WrapITK/Modules/Base/wrap_itkParametricPath.cmake
        ENH: Add ContourExtractor2DImageFilter and other required classes wrappers to wrapitk.

    Wrapping/WrapITK/Modules/Base/wrap_itkPath.cmake
        ENH: Add ContourExtractor2DImageFilter and other required classes wrappers to wrapitk.

    Wrapping/WrapITK/Modules/Base/wrap_itkPathSource.cmake
        ENH: Add ContourExtractor2DImageFilter and other required classes wrappers to wrapitk.

    Wrapping/WrapITK/Modules/Base/wrap_itkPolyLineParametricPath.cmake
        ENH: Add ContourExtractor2DImageFilter and other required classes wrappers to wrapitk.

    Wrapping/WrapITK/Modules/Filtering/wrap_itkGradientVectorFlowImageFilter.cmake
        COMP: Fix wrapping gap warnings by using the 3rd template arguments. The wrong version was commited in the previous commit.

    Wrapping/WrapITK/Modules/LevelSet/CMakeLists.txt
        ENH: Add FastMarchingExtensionImageFilter wrapper to wrapitk.

    Wrapping/WrapITK/Modules/LevelSet/wrap_itkFastMarchingExtensionImageFilter.cmake
        ENH: Add FastMarchingExtensionImageFilter wrapper to wrapitk.

    Wrapping/WrapITK/Modules/Registration/CMakeLists.txt
        ENH: Add DeformationFieldJacobianDeterminantFilter wrapper to wrapitk.
        COMP: Fix wrapping gap warnings.

    Wrapping/WrapITK/Modules/Registration/wrap_itkDeformationFieldJacobianDeterminantFilter.cmake
        ENH: Add DeformationFieldJacobianDeterminantFilter wrapper to wrapitk.

    Wrapping/WrapITK/Modules/Registration/wrap_itkDifferenceOfGaussiansGradientImageFilter.cmake
        ENH: Add DifferenceOfGaussiansGradientImageFilter wrapper to wrapitk.

    Wrapping/WrapITK/Modules/Registration/wrap_itkESMDemonsRegistrationFunction.cmake
        COMP: Add ESMDemonsRegistrationFunction to try to fix too long file names generated with java.

    Wrapping/WrapITK/Modules/Registration/wrap_itkEigenAnalysis2DImageFilter.cmake
        ENH: Add EigenAnalysis2DImageFilter wrapper to wrapitk.

    Wrapping/WrapITK/Modules/Registration/wrap_itkPDEDeformableRegistrationFunction.cmake
        COMP: Fix wrapping gap warnings.

    Wrapping/WrapITK/Modules/Review/CMakeLists.txt
        ENH: Add ContourExtractor2DImageFilter and other required classes wrappers to wrapitk.

    Wrapping/WrapITK/Modules/Review/wrap_itkAreaClosingImageFilter.cmake
        ENH: Add AreaClosingImageFilter and AreaOpeningImageFilter wrappers.

    Wrapping/WrapITK/Modules/Review/wrap_itkAreaOpeningImageFilter.cmake
        ENH: Add AreaClosingImageFilter and AreaOpeningImageFilter wrappers.

    Wrapping/WrapITK/Modules/Review/wrap_itkBinaryContourImageFilter.cmake
    publication/217

    Wrapping/WrapITK/Modules/Review/wrap_itkContourExtractor2DImageFilter.cmake
        ENH: Add ContourExtractor2DImageFilter and other required classes wrappers to wrapitk.

    Wrapping/WrapITK/Modules/Review/wrap_itkConvolutionImageFilter.cmake
        ENH: Add ConvolutionImageFilter wrapper

    Wrapping/WrapITK/Modules/Review/wrap_itkFFTShiftImageFilter.cmake
    321

    Wrapping/WrapITK/Modules/Review/wrap_itkImageToPathFilter.cmake
        ENH: Add ContourExtractor2DImageFilter and other required classes wrappers to wrapitk.

    Wrapping/WrapITK/Modules/Review/wrap_itkLabelContourImageFilter.cmake
    publication/217

    Wrapping/WrapITK/Modules/Review/wrap_itkRobustAutomaticThresholdImageFilter.cmake
    370

    Wrapping/WrapITK/Modules/SegmentationAndThreshold/wrap_itkBayesianClassifierImageFilter.cmake
        ENH: Add BayesianClassifierImageFilter and BayesianClassifierInitializationImageFilter wrappers in wrapitk.

    Wrapping/WrapITK/Modules/SegmentationAndThreshold/wrap_itkBayesianClassifierInitializationImageFilter.cmake
        ENH: Add BayesianClassifierImageFilter and BayesianClassifierInitializationImageFilter wrappers in wrapitk.

    Wrapping/WrapITK/SwigRuntime/CMakeLists.txt
        COMP: fix missing linkage with libstdc++ on solaris

    Wrapping/WrapITK/images/CannyEdgeDetectionImageFilter.png
        BUG: Update of the Canny edge baseline is required after the bug fixes in ITK.
